### Yolk fatty acids,  but not androgens, predict offspring fitness

egg_4th$Year<-as.factor(egg_4th$Year)
egg_4th$Clutch.number<-as.factor(egg_4th$Clutch.number)

# From the general data base, I select the final data i want to work with
# this new file is called: "egg_4th_1st_c_more.fa"

# Complete cases to run a PCA
zea.year<-lm(Zeaxanthin..std.micromolar. ~ Year, data=egg_4th_1st_c_more.fa_complete_zea)
summary(zea.year)

lut.year<-lm(Lutein..std.micromolar. ~ Year, data=egg_4th_1st_c_more.fa_complete_zea)
summary(lut.year)


egg_4th_1st_c_more.fa_complete_zea<-droplevels(subset(egg_4th_1st_c_more.fa, egg_4th_1st_c_more.fa$zea_scale!="NA"))
mean(egg_4th_1st_c_more.fa_complete_zea$Zeaxanthin..std.micromolar.)
# 2.987485

# I will replace now those rows with NAs for the mean
egg_4th_1st_c_more.fa$Zeaxanthin..std.micromolar.[is.na(egg_4th_1st_c_more.fa$Zeaxanthin..std.micromolar.)] <-2.987485
egg_4th_1st_c_more.fa$zea_scale<-scale(egg_4th_1st_c_more.fa$Zeaxanthin..std.micromolar.) 
# complete

# Lut
egg_4th_1st_c_more.fa$lut_scale
egg_4th_1st_c_more.fa_complete_lut<-droplevels(subset(egg_4th_1st_c_more.fa, egg_4th_1st_c_more.fa$lut_scale!="NA"))
mean(egg_4th_1st_c_more.fa_complete_lut$Lutein..std.micromolar.)
# 36.50314

egg_4th_1st_c_more.fa$Lutein..std.micromolar.[is.na(egg_4th_1st_c_more.fa$Lutein..std.micromolar.)] <-36.50314
egg_4th_1st_c_more.fa$lut_scale<-scale(egg_4th_1st_c_more.fa$Lutein..std.micromolar.) 
# complete

######### PCA #############
names(egg_4th_1st_c_more.fa)

egg_4th_1st_c_more.fa_pca<-as.data.frame(cbind(egg_4th_1st_c_more.fa[,137:166]))

names(egg_4th_1st_c_more.fa_pca)
names(egg_4th_1st_c_more.fa_pca) <- c('Lut','Zea', 'Vit E','A4','DHT', 'Testo', 'Cort',
                                      'Lauric SFA', 'Myristic SFA',  '15.0 SFA',  'Palmitic SFA',  '17.0 SFA',  'Stearic SFA', 
                                      'Oleic MUFA', '16.1 MUFA', 'Palmitoleic MUFA', 'cis vaccenic MUFA', 'Eicosenoic MUFA', 
                                      'alpha linolenic n-3 PUFA', 'EPA n-3 PUFA', 'DPA n-3 PUFA', 'DHA n-3 PUFA', 
                                      'gamma linolenic n-6 PUFA', '16 n-6 PUFA', 'linoleic n-6 PUFA', 
                                      'pinoleic n-6 PUFA', 'eicosadienoic n-6 PUFA', 'dihommo linolenic n-6 PUFA', 
                                      'arachidonic n-6 PUFA', '22.4 n-6 PUFA')

# I now run the pca
pca.egg.components<-prcomp(egg_4th_1st_c_more.fa_pca, c=T)
print(pca.egg.components)

summary(pca.egg.components)

plot(pca.egg.components, type = "lines")
biplot(pca.egg.components, scale = 0)

library(ggfortify)

pca.egg.components_loadings<-as.data.frame(pca.egg.components$x)

egg_4th_1st_c_more.fa<-cbind(egg_4th_1st_c_more.fa, pca.egg.components_loadings)

names(egg_4th_1st_c_more.fa)

## I check differences between years in pc components
pc1_years_new<-lm(PC1 ~ Year, data=egg_4th_1st_c_more.fa)
summary(pc1_years_new)

# important difference between years

# Normal plot
dodge1<-position_dodge(.5) 
plot_pc1 <- ggplot(egg_4th_1st_c_more.fa, aes(x=PC1, y= Year, color=Year)) + 
  geom_point(data=egg_4th_1st_c_more.fa,aes(x=PC1, y=Year, group=Year, shape=Year), color= "grey69", size=3) + 
  theme(panel.background = element_blank(),legend.key=element_blank(),
        axis.line=element_line(colour = "black",size = 1),
        panel.grid.major=element_blank(),
        axis.text.x=element_text(colour="black", size=20),
        axis.text.y=element_text(colour="black",size=10),
        axis.title.x=element_text(colour="black", size=15),
        axis.title.y=element_text(colour="black",size=15),
        legend.title=element_text(colour="black",size=15),
        strip.text.y = element_text(colour="black",size=5, face="bold",angle = 65),
        legend.text = element_text(colour="black", size = 10, face = "bold"),
        legend.position = "right", 
        legend.direction = "vertical") +  labs(x="PC1",y="Clutch size") 

# Plot form the model
plot(pc1_years_new)

nsim<-10000
bsim.pc1_years_new<-sim(pc1_years_new, n.sim=nsim)
apply(bsim.pc1_years_new@coef, 2, mean) 
apply(bsim.pc1_years_new@coef, 2, quantile, prob=c(0.025, 0.975))

# 
# In order to do the plots - PC1
newdat.pc1_years_new<-data.frame(Year=levels(egg_4th_1st_c_more.fa$Year))

Xmat.newdat.pc1_years_new<-model.matrix(~ Year,
                                        data=newdat.pc1_years_new)
head(Xmat.newdat.pc1_years_new)

fitmat.mod.newdat.pc1_years_new<-matrix(ncol=nsim, nrow=nrow(newdat.pc1_years_new))


for(i in 1:nsim) fitmat.mod.newdat.pc1_years_new[,i]<-(Xmat.newdat.pc1_years_new%*%bsim.pc1_years_new@coef[i,]) 

newdat.pc1_years_new$lower<-apply(fitmat.mod.newdat.pc1_years_new, 1, quantile, prob=0.025)
newdat.pc1_years_new$upper<-apply(fitmat.mod.newdat.pc1_years_new, 1, quantile, prob=0.975)
newdat.pc1_years_new$fit<- (Xmat.newdat.pc1_years_new%*%coef(pc1_years_new))

require('lme4')
require('ggplot2')

dodge1<-position_dodge(.5) 
plot_PC1 <- ggplot(newdat.pc1_years_new, aes(x=Year, y=fit)) + 
  geom_point(size=3) + 
  geom_errorbar(data = newdat.pc1_years_new, aes(ymax=upper, ymin=lower, width=0.25))

dodge<-position_dodge(0.75) 
plot_PC1_ii <- plot_PC1 +  
  geom_point(data=egg_4th_1st_c_more.fa,aes(x=Year, y=PC1), color= "grey69", size=1) + 
  theme(panel.background = element_blank(),legend.key=element_blank(),
        axis.line=element_line(colour = "black",size = 1),
        panel.grid.major=element_blank(),
        axis.text.x=element_text(colour="black", size=20),
        axis.text.y=element_text(colour="black",size=10),
        axis.title.x=element_text(colour="black", size=15),
        axis.title.y=element_text(colour="black",size=15),
        legend.title=element_text(colour="black",size=15),
        strip.text.y = element_text(colour="black",size=5, face="bold",angle = 65),
        legend.text = element_text(colour="black", size = 10, face = "bold"),
        legend.position = "right", 
        legend.direction = "vertical") +  labs(x="Year",y="PC1") 




PC2_years_new<-lm(PC2 ~ Year, data=egg_4th_1st_c_more.fa) 
summary(PC2_years_new)
# no difference between years 


nsim<-10000
bsim.PC2_years_new<-sim(PC2_years_new, n.sim=nsim)
apply(bsim.PC2_years_new@coef, 2, mean) 
apply(bsim.PC2_years_new@coef, 2, quantile, prob=c(0.025, 0.975))

# 
# In order to do the plots - PC2
newdat.PC2_years_new<-data.frame(Year=levels(egg_4th_1st_c_more.fa$Year))

Xmat.newdat.PC2_years_new<-model.matrix(~ Year,
                                        data=newdat.PC2_years_new)
head(Xmat.newdat.PC2_years_new)

fitmat.mod.newdat.PC2_years_new<-matrix(ncol=nsim, nrow=nrow(newdat.PC2_years_new))

for(i in 1:nsim) fitmat.mod.newdat.PC2_years_new[,i]<-(Xmat.newdat.PC2_years_new%*%bsim.PC2_years_new@coef[i,]) 

newdat.PC2_years_new$lower<-apply(fitmat.mod.newdat.PC2_years_new, 1, quantile, prob=0.025)
newdat.PC2_years_new$upper<-apply(fitmat.mod.newdat.PC2_years_new, 1, quantile, prob=0.975)
newdat.PC2_years_new$fit<- (Xmat.newdat.PC2_years_new%*%coef(PC2_years_new))

require('lme4')
require('ggplot2')

dodge1<-position_dodge(.5) 
plot_PC2 <- ggplot(newdat.PC2_years_new, aes(x=Year, y=fit)) + 
  geom_point(size=3) + 
  geom_errorbar(data = newdat.PC2_years_new, aes(ymax=upper, ymin=lower, width=0.25))

dodge<-position_dodge(0.75) 
plot_PC2_ii <- plot_PC2 +  
  geom_point(data=egg_4th_1st_c_more.fa,aes(x=Year, y=PC2), color= "grey69", size=1) + 
  theme(panel.background = element_blank(),legend.key=element_blank(),
        axis.line=element_line(colour = "black",size = 1),
        panel.grid.major=element_blank(),
        axis.text.x=element_text(colour="black", size=20),
        axis.text.y=element_text(colour="black",size=10),
        axis.title.x=element_text(colour="black", size=15),
        axis.title.y=element_text(colour="black",size=15),
        legend.title=element_text(colour="black",size=15),
        strip.text.y = element_text(colour="black",size=5, face="bold",angle = 65),
        legend.text = element_text(colour="black", size = 10, face = "bold"),
        legend.position = "right", 
        legend.direction = "vertical") +  labs(x="Year",y="PC2") 



PC3_years_new<-lm(PC3 ~ Year, data=egg_4th_1st_c_more.fa) 
summary(PC3_years_new)
# BIG difference between years 


nsim<-10000
bsim.PC3_years_new<-sim(PC3_years_new, n.sim=nsim)
apply(bsim.PC3_years_new@coef, 2, mean) 
apply(bsim.PC3_years_new@coef, 2, quantile, prob=c(0.025, 0.975))

# 
# In order to do the plots - PC3
newdat.PC3_years_new<-data.frame(Year=levels(egg_4th_1st_c_more.fa$Year))

Xmat.newdat.PC3_years_new<-model.matrix(~ Year,
                                        data=newdat.PC3_years_new)
head(Xmat.newdat.PC3_years_new)

fitmat.mod.newdat.PC3_years_new<-matrix(ncol=nsim, nrow=nrow(newdat.PC3_years_new))

for(i in 1:nsim) fitmat.mod.newdat.PC3_years_new[,i]<-(Xmat.newdat.PC3_years_new%*%bsim.PC3_years_new@coef[i,]) 

newdat.PC3_years_new$lower<-apply(fitmat.mod.newdat.PC3_years_new, 1, quantile, prob=0.025)
newdat.PC3_years_new$upper<-apply(fitmat.mod.newdat.PC3_years_new, 1, quantile, prob=0.975)
newdat.PC3_years_new$fit<- (Xmat.newdat.PC3_years_new%*%coef(PC3_years_new))

require('lme4')
require('ggplot2')

dodge1<-position_dodge(.5) 
plot_PC3 <- ggplot(newdat.PC3_years_new, aes(x=Year, y=fit)) + 
  geom_point(size=3) + 
  geom_errorbar(data = newdat.PC3_years_new, aes(ymax=upper, ymin=lower, width=0.25))

dodge<-position_dodge(0.75) 
plot_PC3_ii <- plot_PC3 +  
  geom_point(data=egg_4th_1st_c_more.fa,aes(x=Year, y=PC3), color= "grey69", size=1) + 
  theme(panel.background = element_blank(),legend.key=element_blank(),
        axis.line=element_line(colour = "black",size = 1),
        panel.grid.major=element_blank(),
        axis.text.x=element_text(colour="black", size=20),
        axis.text.y=element_text(colour="black",size=10),
        axis.title.x=element_text(colour="black", size=15),
        axis.title.y=element_text(colour="black",size=15),
        legend.title=element_text(colour="black",size=15),
        strip.text.y = element_text(colour="black",size=5, face="bold",angle = 65),
        legend.text = element_text(colour="black", size = 10, face = "bold"),
        legend.position = "right", 
        legend.direction = "vertical") +  labs(x="Year",y="PC3") 

######################


######################
######################
######################
#### YOLK COMPONENTS AND CLUTCH SIZE #################

# SINCE THERE ARE IMPORTANT DIFFERENCES BETWEEN YEARS, I CORRECT FOR THIS BY
# SUSBTRATING AND DIVIDING EACH PC FOR THE MEAN FOR EACH YEAR

egg_4th_1st_c_more.fa<- ddply(egg_4th_1st_c_more.fa, "Year", 
                              transform, PC1_corrected.year = (PC1-mean(PC1))/mean(PC1))
egg_4th_1st_c_more.fa$PC1_corrected.year

egg_4th_1st_c_more.fa<- ddply(egg_4th_1st_c_more.fa, "Year", 
                              transform, PC2_corrected.year = (PC2-mean(PC2))/mean(PC2))
egg_4th_1st_c_more.fa$PC2_corrected.year

egg_4th_1st_c_more.fa<- ddply(egg_4th_1st_c_more.fa, "Year", 
                              transform, PC3_corrected.year = (PC3-mean(PC3))/mean(PC3))
egg_4th_1st_c_more.fa$PC3_corrected.year



#######################################
# Yolk components and fitness traits

# Change variables to continous variables
egg_4th_1st_c_more.fa$Date.collection


egg_4th_1st_c_more.fa$Date.collection <- as.character(egg_4th_1st_c_more.fa$Date.collection)
nchar(egg_4th_1st_c_more.fa$Date.collection)

index <- nchar(egg_4th_1st_c_more.fa$Date.collection)==8

egg_4th_1st_c_more.fa$day[index]<- as.numeric(substring(egg_4th_1st_c_more.fa$Date.collection[index], 1,2))
egg_4th_1st_c_more.fa$month[index]<- as.numeric(substring(egg_4th_1st_c_more.fa$Date.collection[index], 4,5))

egg_4th_1st_c_more.fa$Date.collection.num <-egg_4th_1st_c_more.fa$month + egg_4th_1st_c_more.fa$day/100

egg_4th_1st_c_more.fa$PC1_corrected.year_scale<-scale(egg_4th_1st_c_more.fa$PC1_corrected.year)
egg_4th_1st_c_more.fa$PC2_corrected.year_scale<-scale(egg_4th_1st_c_more.fa$PC2_corrected.year)
egg_4th_1st_c_more.fa$PC3_corrected.year_scale<-scale(egg_4th_1st_c_more.fa$PC3_corrected.year)
egg_4th_1st_c_more.fa$Date.collection.num_scale<-scale(egg_4th_1st_c_more.fa$Date.collection.num)

# clutch size
cl.size.4th<-glm(Clutch.size ~ PC1_corrected.year_scale + PC2_corrected.year_scale +
                   PC3_corrected.year_scale +
                   Date.collection.num_scale, family=poisson, data=egg_4th_1st_c_more.fa)
summary(cl.size.4th)

plot(cl.size.4th)

nsim<-10000
bsim.cl.size.4th<-sim(cl.size.4th, n.sim=nsim)
apply(bsim.cl.size.4th@coef, 2, mean) 
apply(bsim.cl.size.4th@coef, 2, quantile, prob=c(0.025, 0.975))

# Effect sizes
apply(bsim.cl.size.4th@coef, 2, mean) 

# I want to calculat ethe effect of each PC on clutch size
# PC1
pc1_clutch.size <- bsim.cl.size.4th@coef[,2] 

mean_pc1_clutch.size <- mean(pc1_clutch.size) 
lower_pc1_clutch.size <- quantile(x =pc1_clutch.size,prob=0.025) 
upper_pc1_clutch.size <- quantile(x = pc1_clutch.size, prob=0.975) 

# Aca creo lo que va a ser la fila uno para plotear despues
fila1_pc1_clutch.size <- c('PC1',mean_pc1_clutch.size,
                          lower_pc1_clutch.size,upper_pc1_clutch.size) 


# PC2
pc2_clutch.size <- bsim.cl.size.4th@coef[,3] 

mean_pc2_clutch.size <- mean(pc2_clutch.size) 
lower_pc2_clutch.size <- quantile(x =pc2_clutch.size,prob=0.025) 
upper_pc2_clutch.size <- quantile(x = pc2_clutch.size, prob=0.975) 

fila2_pc2_clutch.size <- c('PC2',mean_pc2_clutch.size,
                          lower_pc2_clutch.size,upper_pc2_clutch.size) 


# PC3
pc3_clutch.size <- bsim.cl.size.4th@coef[,4] 

mean_pc3_clutch.size <- mean(pc3_clutch.size) 
lower_pc3_clutch.size <- quantile(x =pc3_clutch.size,prob=0.025) 
upper_pc3_clutch.size <- quantile(x = pc3_clutch.size, prob=0.975) 

# Aca creo lo que va a ser la fila uno para plotear despues
fila3_pc3_clutch.size <- c('PC3',mean_pc3_clutch.size,
                           lower_pc3_clutch.size,upper_pc3_clutch.size) 


effect.size_mean.pc_clutch.size <- as.data.frame(rbind(fila1_pc1_clutch.size, fila2_pc2_clutch.size, 
                                                       fila3_pc3_clutch.size))

names(effect.size_mean.pc_clutch.size) <- c('Period', 'mean','lower','upper')

effect.size_mean.pc_clutch.size$mean <- as.character(effect.size_mean.pc_clutch.size$mean) 

effect.size_mean.pc_clutch.size$upper <- as.character(effect.size_mean.pc_clutch.size$upper)

effect.size_mean.pc_clutch.size$lower <- as.character(effect.size_mean.pc_clutch.size$lower)

effect.size_mean.pc_clutch.size$mean <- as.numeric(effect.size_mean.pc_clutch.size$mean)

effect.size_mean.pc_clutch.size$upper <- as.numeric(effect.size_mean.pc_clutch.size$upper)

effect.size_mean.pc_clutch.size$lower <- as.numeric(effect.size_mean.pc_clutch.size$lower)

# diferences$ID <- paste(diferences$relation,diferences$call, sep=' ')


dodge <- position_dodge(width=0.8)

effect.size_mean.pc_clutch.size_plot <- ggplot(data = effect.size_mean.pc_clutch.size, aes(y=Period, x=mean,color=Period,shape=Period)) +   
  geom_vline(xintercept=0,color='grey69',size=1.8,linetype=3)+
  scale_color_manual(values=c('#FF9900', '#3399FF', '#FF6666', '#00CC66'))+
geom_errorbarh(data = effect.size_mean.pc_clutch.size,aes(xmax=upper, xmin=lower,color=Period),size=2, position=dodge)+
  geom_point(size=5,color='black',position=dodge) + 
  ylab('PCs')+
  xlab('Clutch size')+
  ggtitle('Egg components & Clutch size') +   
  theme_classic() 



########################################################################################
####################### HATCHING SUCCESS ##############################################

hatch.numb.4th<-glm(Hatching.number ~ PC1_corrected.year_scale + 
                                    PC2_corrected.year_scale + PC3_corrected.year_scale +
                                    Date.collection.num_scale + Clutch.size_scale, 
                                  family=poisson, 
                                  data=egg_4th_1st_c_more.fa_for.hatching)
summary(hatch.numb.4th)

plot(hatch.numb.4th)

nsim<-10000
bsim.hatch.numb.4th <-sim(hatch.numb.4th , n.sim=nsim)
apply(bsim.hatch.numb.4th@coef, 2, mean) 
apply(bsim.hatch.numb.4th@coef, 2, quantile, prob=c(0.025, 0.975))

mean(bsim.hatch.numb.4th@coef[,3]>0) #97%
mean(bsim.hatch.numb.4th@coef[,4]<0) # 87%
# positive effect of pc2 on hatchling number!
# effect size

apply(bsim.hatch.numb.4th@coef, 2, mean) 

# PC1
pc1_hatchling.number <- bsim.hatch.numb.4th@coef[,2] 

mean_pc1_hatchling.number <- mean(pc1_hatchling.number) 
lower_pc1_hatchling.number <- quantile(x =pc1_hatchling.number,prob=0.025) 
upper_pc1_hatchling.number <- quantile(x = pc1_hatchling.number, prob=0.975) 

fila1_pc1_hatchling.number <- c('PC1',mean_pc1_hatchling.number,
                                lower_pc1_hatchling.number,upper_pc1_hatchling.number) 


#pc2
pc2_hatchling.number <- bsim.hatch.numb.4th @coef[,3] 

mean_pc2_hatchling.number <- mean(pc2_hatchling.number) 
lower_pc2_hatchling.number <- quantile(x =pc2_hatchling.number,prob=0.025) 
upper_pc2_hatchling.number <- quantile(x = pc2_hatchling.number, prob=0.975) 

fila2_pc2_hatchling.number <- c('PC2',mean_pc2_hatchling.number,
                                lower_pc2_hatchling.number,upper_pc2_hatchling.number) 


# pc3
pc3_hatchling.number <- bsim.hatch.numb.4th @coef[,4] 

mean_pc3_hatchling.number <- mean(pc3_hatchling.number) 
lower_pc3_hatchling.number <- quantile(x =pc3_hatchling.number,prob=0.025) 
upper_pc3_hatchling.number <- quantile(x = pc3_hatchling.number, prob=0.975) 

fila3_pc3_hatchling.number <- c('PC3',mean_pc3_hatchling.number,
                                lower_pc3_hatchling.number,upper_pc3_hatchling.number) 


effect.size_mean.pc_hatchling.number <- as.data.frame(rbind(fila1_pc1_hatchling.number, fila2_pc2_hatchling.number, 
                                                            fila3_pc3_hatchling.number))

names(effect.size_mean.pc_hatchling.number) <- c('Period', 'mean','lower','upper')

effect.size_mean.pc_hatchling.number$mean <- as.character(effect.size_mean.pc_hatchling.number$mean) 

effect.size_mean.pc_hatchling.number$upper <- as.character(effect.size_mean.pc_hatchling.number$upper)

effect.size_mean.pc_hatchling.number$lower <- as.character(effect.size_mean.pc_hatchling.number$lower)

effect.size_mean.pc_hatchling.number$mean <- as.numeric(effect.size_mean.pc_hatchling.number$mean)

effect.size_mean.pc_hatchling.number$upper <- as.numeric(effect.size_mean.pc_hatchling.number$upper)

effect.size_mean.pc_hatchling.number$lower <- as.numeric(effect.size_mean.pc_hatchling.number$lower)

# diferences$ID <- paste(diferences$relation,diferences$call, sep=' ')


dodge <- position_dodge(width=0.8)

effect.size_mean.pc_hatchling.number_plot <- ggplot(data = effect.size_mean.pc_hatchling.number, aes(y=Period, x=mean,color=Period,shape=Period)) +   
  geom_vline(xintercept=0,color='grey69',size=1.8,linetype=3)+
  scale_color_manual(values=c('#FF9900', '#3399FF', '#FF6666', '#00CC66'))+
  geom_errorbarh(data = effect.size_mean.pc_hatchling.number,aes(xmax=upper, xmin=lower,color=Period),size=2, position=dodge)+
  geom_point(size=5,color='black',position=dodge) + 
  ylab('PCs')+
  xlab('Hatchling number')+
  ggtitle('Hatchling number') +   
  theme_classic() 




################ FLEDGLING NUMBER ##################################
####################################################################
egg_4th_1st_c_more.fa_for.fledg<-droplevels(subset(egg_4th_1st_c_more.fa_for.hatching, 
                                                           egg_4th_1st_c_more.fa_for.hatching$Nest_year_clutch!="104_2016_1"))

fledg.4th<-glm(Fledge.number ~ PC1_corrected.year_scale + 
                 PC2_corrected.year_scale + PC3_corrected.year_scale +
                 Date.collection.num_scale + Clutch.size_scale, 
               family=poisson, 
               data=egg_4th_1st_c_more.fa_for.fledg)
summary(fledg.4th)

plot(fledg.4th)

nsim<-10000
bsim.fledg.4th<-sim(fledg.4th, n.sim=nsim)
apply(bsim.fledg.4th@coef, 2, mean) 
apply(bsim.fledg.4th@coef, 2, quantile, prob=c(0.025, 0.975))
# effect size
apply(bsim.fledg.4th@coef, 2, mean) 

# PC1
pc1_fledg.number <- bsim.fledg.4th@coef[,2] 


mean_pc1_fledg.number <- mean(pc1_fledg.number) 
lower_pc1_fledg.number <- quantile(x =pc1_fledg.number,prob=0.025) 
upper_pc1_fledg.number <- quantile(x = pc1_fledg.number, prob=0.975) 

fila1_pc1_fledg.number <- c('PC1',mean_pc1_fledg.number,
                            lower_pc1_fledg.number,upper_pc1_fledg.number) 


# pc2
pc2_fledg.number <- bsim.fledg.4th@coef[,3] 

mean_pc2_fledg.number <- mean(pc2_fledg.number) 
lower_pc2_fledg.number <- quantile(x =pc2_fledg.number,prob=0.025) 
upper_pc2_fledg.number <- quantile(x = pc2_fledg.number, prob=0.975) 

fila2_pc2_fledg.number <- c('PC2',mean_pc2_fledg.number,
                            lower_pc2_fledg.number,upper_pc2_fledg.number) 


# pc3
pc3_fledg.number <- bsim.fledg.4th@coef[,4] 

mean_pc3_fledg.number <- mean(pc3_fledg.number) 
lower_pc3_fledg.number <- quantile(x =pc3_fledg.number,prob=0.025) 
upper_pc3_fledg.number <- quantile(x = pc3_fledg.number, prob=0.975) 

fila3_pc3_fledg.number <- c('PC3',mean_pc3_fledg.number,
                            lower_pc3_fledg.number,upper_pc3_fledg.number) 


effect.size_mean.pc_fledg.number <- as.data.frame(rbind(fila1_pc1_fledg.number, fila2_pc2_fledg.number, 
                                                        fila3_pc3_fledg.number))

names(effect.size_mean.pc_fledg.number) <- c('Period', 'mean','lower','upper')

effect.size_mean.pc_fledg.number$mean <- as.character(effect.size_mean.pc_fledg.number$mean) 

effect.size_mean.pc_fledg.number$upper <- as.character(effect.size_mean.pc_fledg.number$upper)

effect.size_mean.pc_fledg.number$lower <- as.character(effect.size_mean.pc_fledg.number$lower)

effect.size_mean.pc_fledg.number$mean <- as.numeric(effect.size_mean.pc_fledg.number$mean)

effect.size_mean.pc_fledg.number$upper <- as.numeric(effect.size_mean.pc_fledg.number$upper)

effect.size_mean.pc_fledg.number$lower <- as.numeric(effect.size_mean.pc_fledg.number$lower)

# diferences$ID <- paste(diferences$relation,diferences$call, sep=' ')


dodge <- position_dodge(width=0.8)

effect.size_mean.pc_fledg.number_plot <- ggplot(data = effect.size_mean.pc_fledg.number, aes(y=Period, x=mean,color=Period,shape=Period)) +   
  geom_vline(xintercept=0,color='grey69',size=1.8,linetype=3)+
  scale_color_manual(values=c('#FF9900', '#3399FF', '#FF6666', '#00CC66'))+
  geom_errorbarh(data = effect.size_mean.pc_fledg.number,aes(xmax=upper, xmin=lower,color=Period),size=2, position=dodge)+
  geom_point(size=5,color='black',position=dodge) + 
  ylab('PCs')+
  xlab('Fledgling number')+
  ggtitle('Fledgling number') +   
  theme_classic() 


################################################################################################
######## ------------------------ PC AND MASS OF THE NESTLINGS ON DAY 15-------------- ####
################################################################################################

### First, I need to merge the data base from the chicks with th eones for the eggs.

# new data base
# chicks_2015_2016

chicks_2015_2016$Year<-as.factor(chicks_2015_2016$Year)
levels(chicks_2015_2016$Year)

chicks_2015_2016$Nest_year<-paste(chicks_2015_2016$Nest, chicks_2015_2016$Year, sep="_")
chicks_2015_2016$Nest_year_clutch<-paste(chicks_2015_2016$Nest_year, chicks_2015_2016$Clutch.number, sep="_")

# merge both data bases
egg.chicks.2015.2016_more.fa<-merge(egg_4th_1st_c_more.fa_for.hatching, chicks_2015_2016, by="Nest_year_clutch")
names(egg.chicks.2015.2016_more.fa)

# transform variable
levels(egg.chicks.2015.2016_more.fa$Date)

egg.chicks.2015.2016_more.fa$Date <- as.character(egg.chicks.2015.2016_more.fa$Date)

nchar(egg.chicks.2015.2016_more.fa$Date)

index <- nchar(egg.chicks.2015.2016_more.fa$Date)==8

egg.chicks.2015.2016_more.fa$day[index]<- as.numeric(substring(egg.chicks.2015.2016_more.fa$Date[index], 1,2))
egg.chicks.2015.2016_more.fa$month[index]<- as.numeric(substring(egg.chicks.2015.2016_more.fa$Date[index], 4,5))

egg.chicks.2015.2016_more.fa$Date.num <-egg.chicks.2015.2016_more.fa$month + egg.chicks.2015.2016_more.fa$day/100


####### ------------- FLEDGLING MASS DAY 15 ---------------------- #########

# I make categories for the age of the young 
egg.chicks.2015.2016_more.fa$Age.young
egg.chicks.2015.2016_more.fa$age.class<-cut(egg.chicks.2015.2016_more.fa$Age.young, breaks=c(-1,0,3,9,14,20))

# select only day 15
egg.chicks.2015.2016_more.fa_d15<-droplevels(subset(egg.chicks.2015.2016_more.fa, 
                                                    egg.chicks.2015.2016_more.fa$age.class=='(14,20]'))

###
###

## scale
egg.chicks.2015.2016_more.fa_d15$PC1_corrected.year_scale<-scale(egg.chicks.2015.2016_more.fa_d15$PC1_corrected.year)
egg.chicks.2015.2016_more.fa_d15$PC2_corrected.year_scale<-scale(egg.chicks.2015.2016_more.fa_d15$PC2_corrected.year)
egg.chicks.2015.2016_more.fa_d15$PC3_corrected.year_scale<-scale(egg.chicks.2015.2016_more.fa_d15$PC3_corrected.year)
egg.chicks.2015.2016_more.fa_d15$Mean.temp.nestling.period_scale<-scale(egg.chicks.2015.2016_more.fa_d15$Mean.temp.nestling.period)
egg.chicks.2015.2016_more.fa_d15$Mean.rainfall.nestling.period_scale<-scale(egg.chicks.2015.2016_more.fa_d15$Mean.rainfall.nestling.period)
egg.chicks.2015.2016_more.fa_d15$Date.num_scale<-scale(egg.chicks.2015.2016_more.fa_d15$Date.num)

## change variables to conitnous
egg.chicks.2015.2016_more.fa_d15$Time.of.capture  
egg.chicks.2015.2016_more.fa_d15$Time.of.capture<-as.character(egg.chicks.2015.2016_more.fa_d15$Time.of.capture)

nchar(egg.chicks.2015.2016_more.fa_d15$Time.of.capture)

index <- nchar(egg.chicks.2015.2016_more.fa_d15$Time.of.capture)==8

egg.chicks.2015.2016_more.fa_d15$hour.end[index]<- as.numeric(substring(egg.chicks.2015.2016_more.fa_d15$Time.of.capture[index], 1,2))
egg.chicks.2015.2016_more.fa_d15$min.end[index]<- as.numeric(substring(egg.chicks.2015.2016_more.fa_d15$Time.of.capture[index], 4,5))

egg.chicks.2015.2016_more.fa_d15$Time.of.capture.num <- egg.chicks.2015.2016_more.fa_d15$hour.end + egg.chicks.2015.2016_more.fa_d15$min.end/60

egg.chicks.2015.2016_more.fa_d15$Time.of.capture.num_scale<-scale(egg.chicks.2015.2016_more.fa_d15$Time.of.capture.num)
egg.chicks.2015.2016_more.fa_d15$Clutch.size...each.age_scale<-scale(egg.chicks.2015.2016_more.fa_d15$Clutch.size...each.age)


### ---------- EGG COMPONENTS AND FLEDGLING MASS ------------ ###
### ---------- FLEDG MASS CORRECTED BY CLUTCH SIZE ------------ ###
mod_fledg.mass.clutch.size_resid<-lm(Mass.y ~ Clutch.size...each.age,
                                     data= egg.chicks.2015.2016_more.fa_d15)
summary(mod_fledg.mass.clutch.size_resid)

plot(mod_fledg.mass.clutch.size_resid)

resid(mod_fledg.mass.clutch.size_resid)

fledg.mass.clutch.size_resid<-as.data.frame(resid(mod_fledg.mass.clutch.size_resid))
egg.chicks.2015.2016_more.fa_d15$Mass.y

egg.chicks.2015.2016_more.fa_d15<-cbind(egg.chicks.2015.2016_more.fa_d15,
                                        fledg.mass.clutch.size_resid)

names(egg.chicks.2015.2016_more.fa_d15)

colnames(egg.chicks.2015.2016_more.fa_d15)[282] <- "fledg.mass.clutch.size.resid"


fled.mass_4th_clutch.size<-lmer(fledg.mass.clutch.size.resid ~ PC1_corrected.year_scale + 
                                  PC2_corrected.year_scale + PC3_corrected.year_scale +
                                  Date.num_scale + 
                                  (1|Nest_year_clutch), data=egg.chicks.2015.2016_more.fa_d15)
summary(fled.mass_4th_clutch.size)

# check residuals
par(mfrow=c(2,2))
# fixed effects
scatter.smooth(fitted(fled.mass_4th_clutch.size), resid(fled.mass_4th_clutch.size));abline(h=0, lty=2)
title("Tukey-Anscombe Plot")

# 2 - QQ of residuals
qqnorm(resid(fled.mass_4th_clutch.size))
qqline(resid(fled.mass_4th_clutch.size))

# 3 - res.vari vs fitted
scatter.smooth(fitted(fled.mass_4th_clutch.size), sqrt(abs(resid(fled.mass_4th_clutch.size))))

# 4 random effects
qqnorm(ranef(fled.mass_4th_clutch.size)$Nest_year_clutch[,1])
qqline(ranef(fled.mass_4th_clutch.size)$Nest_year_clutch[,1])


nsim<-10000
bsim.fled.mass_4th_clutch.size<-sim(fled.mass_4th_clutch.size, n.sim=nsim)
apply(bsim.fled.mass_4th_clutch.size@fixef, 2, mean) 
apply(bsim.fled.mass_4th_clutch.size@fixef, 2, quantile, prob=c(0.025, 0.975))

# random factor - 1
round(quantile (apply(bsim.fled.mass_4th_clutch.size@ranef$Nest_year_clutch[ , , 1],1,var), prob=c(0.025, 0.5, 0.975)),3)#median and 95%CI
round(mean(apply(bsim.fled.mass_4th_clutch.size@ranef$Nest_year_clutch[ , , 1],1,var)),3) #in case you prefer to extract the mean, and not the median

# residual variance
round(as.vector(quantile(bsim.fled.mass_4th_clutch.size@sigma^2, c(0.025, 0.5, 0.975))),3) #median and 95%CI
round(mean(bsim.fled.mass_4th_clutch.size@sigma^2),3) #mean

#### EFFECT SIZE
apply(bsim.fled.mass_4th_clutch.size@fixef, 2, mean) 

# PC1_corrected.year
PC1_corrected.year_fledg.mass <- bsim.fled.mass_4th_clutch.size@fixef[,2] 

mean_PC1_corrected.year_fledg.mass <- mean(PC1_corrected.year_fledg.mass) 
lower_PC1_corrected.year_fledg.mass <- quantile(x =PC1_corrected.year_fledg.mass,prob=0.025) 
upper_PC1_corrected.year_fledg.mass <- quantile(x = PC1_corrected.year_fledg.mass, prob=0.975) 

fila1_PC1_corrected.year_fledg.mass <- c('PC1_corrected.year',mean_PC1_corrected.year_fledg.mass,
                                           lower_PC1_corrected.year_fledg.mass,upper_PC1_corrected.year_fledg.mass) 


# PC2
PC2_corrected.year_fledg.mass <- bsim.fled.mass_4th_clutch.size@fixef[,3] 

# 
mean_PC2_corrected.year_fledg.mass <- mean(PC2_corrected.year_fledg.mass) 
lower_PC2_corrected.year_fledg.mass <- quantile(x =PC2_corrected.year_fledg.mass,prob=0.025) 
upper_PC2_corrected.year_fledg.mass <- quantile(x = PC2_corrected.year_fledg.mass, prob=0.975) 

fila2_PC2_corrected.year_fledg.mass <- c('PC2_corrected.year',mean_PC2_corrected.year_fledg.mass,
                                           lower_PC2_corrected.year_fledg.mass,upper_PC2_corrected.year_fledg.mass) 


# pc3
PC3_corrected.year_fledg.mass <- bsim.fled.mass_4th_clutch.size@fixef[,4] 

mean_PC3_corrected.year_fledg.mass <- mean(PC3_corrected.year_fledg.mass) 
lower_PC3_corrected.year_fledg.mass <- quantile(x =PC3_corrected.year_fledg.mass,prob=0.025) 
upper_PC3_corrected.year_fledg.mass <- quantile(x = PC3_corrected.year_fledg.mass, prob=0.975) 

fila3_PC3_corrected.year_fledg.mass <- c('PC3_corrected.year',mean_PC3_corrected.year_fledg.mass,
                                           lower_PC3_corrected.year_fledg.mass,upper_PC3_corrected.year_fledg.mass) 


effect.size_mean.pc_fledg.mass <- as.data.frame(rbind(fila1_PC1_corrected.year_fledg.mass, fila2_PC2_corrected.year_fledg.mass, 
                                                        fila3_PC3_corrected.year_fledg.mass))

names(effect.size_mean.pc_fledg.mass) <- c('Period', 'mean','lower','upper')

effect.size_mean.pc_fledg.mass$mean <- as.character(effect.size_mean.pc_fledg.mass$mean) 

effect.size_mean.pc_fledg.mass$upper <- as.character(effect.size_mean.pc_fledg.mass$upper)

effect.size_mean.pc_fledg.mass$lower <- as.character(effect.size_mean.pc_fledg.mass$lower)

effect.size_mean.pc_fledg.mass$mean <- as.numeric(effect.size_mean.pc_fledg.mass$mean)

effect.size_mean.pc_fledg.mass$upper <- as.numeric(effect.size_mean.pc_fledg.mass$upper)

effect.size_mean.pc_fledg.mass$lower <- as.numeric(effect.size_mean.pc_fledg.mass$lower)

# diferences$ID <- paste(diferences$relation,diferences$call, sep=' ')


dodge <- position_dodge(width=0.8)

effect.size_mean.pc_fledg.mass_plot <- ggplot(data = effect.size_mean.pc_fledg.mass, aes(y=Period, x=mean,color=Period,shape=Period)) +   
  geom_vline(xintercept=0,color='grey69',size=1.8,linetype=3)+
  scale_color_manual(values=c('#FF9900', '#3399FF', '#FF6666', '#00CC66'))+
  geom_errorbarh(data = effect.size_mean.pc_fledg.mass,aes(xmax=upper, xmin=lower,color=Period),size=2, position=dodge)+
  geom_point(size=5,color='black',position=dodge) + 
  ylab('PCs')+
  xlab('Fledgling mass')+
  ggtitle('Fledgling mass') +   
  theme_classic() 


#### EGG COMPONENTS AND FLEDGLING TARSUS 

fled.tarsus_resid<-lm(Tarsus.y ~ Clutch.size...each.age, 
                      data=egg.chicks.2015.2016_more.fa_d15)
summary(fled.tarsus_resid)

fledg.tarsus.clutch.size_resid<-as.data.frame(resid(fled.tarsus_resid))
egg.chicks.2015.2016_more.fa_d15<-cbind(egg.chicks.2015.2016_more.fa_d15,
                                        fledg.tarsus.clutch.size_resid)

names(egg.chicks.2015.2016_more.fa_d15)

colnames(egg.chicks.2015.2016_more.fa_d15)[283] <- "fledg.tarsus.clutch.size.resid"


fled.tarsus_4th<-lmer(fledg.tarsus.clutch.size.resid ~ PC1_corrected.year_scale + 
                        PC2_corrected.year_scale +
                        PC3_corrected.year_scale +
                        Date.num_scale + 
                        (1|Nest_year_clutch), data=egg.chicks.2015.2016_more.fa_d15)
summary(fled.tarsus_4th)

# check residuals
par(mfrow=c(2,2))
# fixed effects
scatter.smooth(fitted(fled.tarsus_4th), resid(fled.tarsus_4th));abline(h=0, lty=2)
title("Tukey-Anscombe Plot")

# 2 - QQ of residuals
qqnorm(resid(fled.tarsus_4th))
qqline(resid(fled.tarsus_4th))

# 3 - res.vari vs fitted
scatter.smooth(fitted(fled.tarsus_4th), sqrt(abs(resid(fled.tarsus_4th))))

# 4 random effects
qqnorm(ranef(fled.tarsus_4th)$Nest_year_clutch[,1])
qqline(ranef(fled.tarsus_4th)$Nest_year_clutch[,1])


nsim<-10000
bsim.fled.tarsus_4th<-sim(fled.tarsus_4th, n.sim=nsim)
apply(bsim.fled.tarsus_4th@fixef, 2, mean) 
apply(bsim.fled.tarsus_4th@fixef, 2, quantile, prob=c(0.025, 0.975))

#### EFFECT SIZE
# check the order of the variables
apply(bsim.fled.tarsus_4th@fixef, 2, mean) 

# PC1
PC1_corrected.year_fledg.tarsus <- bsim.fled.tarsus_4th@fixef[,2] 

mean_PC1_corrected.year_fledg.tarsus <- mean(PC1_corrected.year_fledg.tarsus) 
lower_PC1_corrected.year_fledg.tarsus <- quantile(x =PC1_corrected.year_fledg.tarsus,prob=0.025) 
upper_PC1_corrected.year_fledg.tarsus <- quantile(x = PC1_corrected.year_fledg.tarsus, prob=0.975) 

fila1_PC1_corrected.year_fledg.tarsus <- c('PC1_corrected.year',mean_PC1_corrected.year_fledg.tarsus,
                                       lower_PC1_corrected.year_fledg.tarsus,upper_PC1_corrected.year_fledg.tarsus) 


# Pc2
PC2_corrected.year_fledg.tarsus <- bsim.fled.tarsus_4th@fixef[,3] 

mean_PC2_corrected.year_fledg.tarsus <- mean(PC2_corrected.year_fledg.tarsus) 
lower_PC2_corrected.year_fledg.tarsus <- quantile(x =PC2_corrected.year_fledg.tarsus,prob=0.025) 
upper_PC2_corrected.year_fledg.tarsus <- quantile(x = PC2_corrected.year_fledg.tarsus, prob=0.975) 

fila2_PC2_corrected.year_fledg.tarsus <- c('PC2_corrected.year',mean_PC2_corrected.year_fledg.tarsus,
                                       lower_PC2_corrected.year_fledg.tarsus,upper_PC2_corrected.year_fledg.tarsus) 


# pc3
PC3_corrected.year_fledg.tarsus <- bsim.fled.tarsus_4th@fixef[,4] 

mean_PC3_corrected.year_fledg.tarsus <- mean(PC3_corrected.year_fledg.tarsus) 
lower_PC3_corrected.year_fledg.tarsus <- quantile(x =PC3_corrected.year_fledg.tarsus,prob=0.025) 
upper_PC3_corrected.year_fledg.tarsus <- quantile(x = PC3_corrected.year_fledg.tarsus, prob=0.975) 

fila3_PC3_corrected.year_fledg.tarsus <- c('PC3_corrected.year',mean_PC3_corrected.year_fledg.tarsus,
                                       lower_PC3_corrected.year_fledg.tarsus,upper_PC3_corrected.year_fledg.tarsus) 


effect.size_mean.pc_fledg.tarsus <- as.data.frame(rbind(fila1_PC1_corrected.year_fledg.tarsus, fila2_PC2_corrected.year_fledg.tarsus, 
                                                    fila3_PC3_corrected.year_fledg.tarsus))

names(effect.size_mean.pc_fledg.tarsus) <- c('Period', 'mean','lower','upper')

effect.size_mean.pc_fledg.tarsus$mean <- as.character(effect.size_mean.pc_fledg.tarsus$mean) 

effect.size_mean.pc_fledg.tarsus$upper <- as.character(effect.size_mean.pc_fledg.tarsus$upper)

effect.size_mean.pc_fledg.tarsus$lower <- as.character(effect.size_mean.pc_fledg.tarsus$lower)

effect.size_mean.pc_fledg.tarsus$mean <- as.numeric(effect.size_mean.pc_fledg.tarsus$mean)

effect.size_mean.pc_fledg.tarsus$upper <- as.numeric(effect.size_mean.pc_fledg.tarsus$upper)

effect.size_mean.pc_fledg.tarsus$lower <- as.numeric(effect.size_mean.pc_fledg.tarsus$lower)

# diferences$ID <- paste(diferences$relation,diferences$call, sep=' ')


dodge <- position_dodge(width=0.8)

effect.size_mean.pc_fledg.tarsus_plot <- ggplot(data = effect.size_mean.pc_fledg.tarsus, aes(y=Period, x=mean,color=Period,shape=Period)) +   
  geom_vline(xintercept=0,color='grey69',size=1.8,linetype=3)+
  scale_color_manual(values=c('#FF9900', '#3399FF', '#FF6666', '#00CC66'))+
  geom_errorbarh(data = effect.size_mean.pc_fledg.tarsus,aes(xmax=upper, xmin=lower,color=Period),size=2, position=dodge)+
  geom_point(size=5,color='black',position=dodge) + 
  ylab('PCs')+
  xlab('Fledgling tarsus')+
  ggtitle('Fledgling tarsus') +   
  theme_classic() 



################################################################################################
########################################## EFFECT SIZE ########################################
######################################## one plot for all variables ########################################


# clutch number - pc1
pc1_clutch.size_mean <- quantile(bsim.cl.size.4th@coef[,2],prob=c(0.5)) 
pc1_clutch.size_cri_low <- quantile(bsim.cl.size.4th@coef[,2],prob=c(0.025)) 
pc1_clutch.size_cri_high <- quantile(bsim.cl.size.4th@coef[,2],prob=c(0.975)) 

# pc2
pc2_clutch.size_mean <- quantile(bsim.cl.size.4th@coef[,3],prob=c(0.5)) 
pc2_clutch.size_cri_low <- quantile(bsim.cl.size.4th@coef[,3],prob=c(0.025)) 
pc2_clutch.size_cri_high <- quantile(bsim.cl.size.4th@coef[,3],prob=c(0.975))

# pc3
pc3_clutch.size_mean <- quantile(bsim.cl.size.4th@coef[,4],prob=c(0.5)) 
pc3_clutch.size_cri_low <- quantile(bsim.cl.size.4th@coef[,4],prob=c(0.025)) 
pc3_clutch.size_cri_high <- quantile(bsim.cl.size.4th@coef[,4],prob=c(0.975))


# hatchling number
pc1_hatch.numb_mean <- quantile(bsim.hatch.numb.4th@coef[,2],prob=c(0.5)) 
pc1_hatch.numb_cri_low <- quantile(bsim.hatch.numb.4th@coef[,2],prob=c(0.025)) 
pc1_hatch.numb_cri_high <- quantile(bsim.hatch.numb.4th@coef[,2],prob=c(0.975)) 

# pc2
pc2_hatch.numb_mean <- quantile(bsim.hatch.numb.4th@coef[,3],prob=c(0.5)) 
pc2_hatch.numb_cri_low <- quantile(bsim.hatch.numb.4th@coef[,3],prob=c(0.025)) 
pc2_hatch.numb_cri_high <- quantile(bsim.hatch.numb.4th@coef[,3],prob=c(0.975))

# pc3
pc3_hatch.numb_mean <- quantile(bsim.hatch.numb.4th@coef[,4],prob=c(0.5)) 
pc3_hatch.numb_cri_low <- quantile(bsim.hatch.numb.4th@coef[,4],prob=c(0.025)) 
pc3_hatch.numb_cri_high <- quantile(bsim.hatch.numb.4th@coef[,4],prob=c(0.975))


# fledgling number
pc1_fledg.numb_mean <- quantile(bsim.fledg.4th@coef[,2],prob=c(0.5)) 
pc1_fledg.numb_cri_low <- quantile(bsim.fledg.4th@coef[,2],prob=c(0.025)) 
pc1_fledg.numb_cri_high <- quantile(bsim.fledg.4th@coef[,2],prob=c(0.975)) 

# pc2
pc2_fledg.numb_mean <- quantile(bsim.fledg.4th@coef[,3],prob=c(0.5)) 
pc2_fledg.numb_cri_low <- quantile(bsim.fledg.4th@coef[,3],prob=c(0.025)) 
pc2_fledg.numb_cri_high <- quantile(bsim.fledg.4th@coef[,3],prob=c(0.975))

# pc3
pc3_fledg.numb_mean <- quantile(bsim.fledg.4th@coef[,4],prob=c(0.5)) 
pc3_fledg.numb_cri_low <- quantile(bsim.fledg.4th@coef[,4],prob=c(0.025)) 
pc3_fledg.numb_cri_high <- quantile(bsim.fledg.4th@coef[,4],prob=c(0.975))


# fledgling mass
pc1_fledg.mass_mean <- quantile(bsim.fled.mass_4th_clutch.size@fixef[,2],prob=c(0.5)) 
pc1_fledg.mass_cri_low <- quantile(bsim.fled.mass_4th_clutch.size@fixef[,2],prob=c(0.025)) 
pc1_fledg.mass_cri_high <- quantile(bsim.fled.mass_4th_clutch.size@fixef[,2],prob=c(0.975)) 

# pc2
pc2_fledg.mass_mean <- quantile(bsim.fled.mass_4th_clutch.size@fixef[,3],prob=c(0.5)) 
pc2_fledg.mass_cri_low <- quantile(bsim.fled.mass_4th_clutch.size@fixef[,3],prob=c(0.025)) 
pc2_fledg.mass_cri_high <- quantile(bsim.fled.mass_4th_clutch.size@fixef[,3],prob=c(0.975))

# pc3
pc3_fledg.mass_mean <- quantile(bsim.fled.mass_4th_clutch.size@fixef[,4],prob=c(0.5)) 
pc3_fledg.mass_cri_low <- quantile(bsim.fled.mass_4th_clutch.size@fixef[,4],prob=c(0.025)) 
pc3_fledg.mass_cri_high <- quantile(bsim.fled.mass_4th_clutch.size@fixef[,4],prob=c(0.975))


# fledgling tarsus
pc1_fledg.tarsus_mean <- quantile(bsim.fled.tarsus_4th@fixef[,2],prob=c(0.5)) 
pc1_fledg.tarsus_cri_low <- quantile(bsim.fled.tarsus_4th@fixef[,2],prob=c(0.025)) 
pc1_fledg.tarsus_cri_high <- quantile(bsim.fled.tarsus_4th@fixef[,2],prob=c(0.975)) 

# pc2
pc2_fledg.tarsus_mean <- quantile(bsim.fled.tarsus_4th@fixef[,3],prob=c(0.5)) 
pc2_fledg.tarsus_cri_low <- quantile(bsim.fled.tarsus_4th@fixef[,3],prob=c(0.025)) 
pc2_fledg.tarsus_cri_high <- quantile(bsim.fled.tarsus_4th@fixef[,3],prob=c(0.975))


# pc3
pc3_fledg.tarsus_mean <- quantile(bsim.fled.tarsus_4th@fixef[,4],prob=c(0.5)) 
pc3_fledg.tarsus_cri_low <- quantile(bsim.fled.tarsus_4th@fixef[,4],prob=c(0.025)) 
pc3_fledg.tarsus_cri_high <- quantile(bsim.fled.tarsus_4th@fixef[,4],prob=c(0.975))

### Now, the plot
#data_frame is no longer a command --> it's depracted
# the bottom trait is clutch size if I write it first. I prefer to have it the other way around
pc1_plot.effect.size_fitness <- tibble(Traits = c("Fledgling tarsus","Fledgling mass", 
                                                      "Fledgling number", "Hatchling number", 
                                                      "Clutch size"),
                            Estimate = c(pc1_fledg.tarsus_mean,
                                         pc1_fledg.mass_mean,
                                         pc1_fledg.numb_mean,
                                         pc1_hatch.numb_mean,
                                         pc1_clutch.size_mean), 
                            Lower = c(pc1_fledg.tarsus_cri_low,
                                      pc1_fledg.mass_cri_low,
                                      pc1_fledg.numb_cri_low,
                                      pc1_hatch.numb_cri_low,
                                      pc1_clutch.size_cri_low),
                            Upper = c(pc1_fledg.tarsus_cri_high,
                                      pc1_fledg.mass_cri_high,
                                      pc1_fledg.numb_cri_high,
                                      pc1_hatch.numb_cri_high,
                                      pc1_clutch.size_cri_high))

# don't know why but x is y, and y is x
ggplot.effect.size_pc1_fitness<-ggplot(pc1_plot.effect.size_clutch.size, aes(x = Traits, y = Estimate)) +
  geom_pointrange(aes(ymin = Lower,
                      ymax = Upper)) +
  geom_hline(yintercept = 0,
             linetype = "dotted",
             alpha = 1) +
  scale_x_discrete(limits = c("Fledgling tarsus","Fledgling mass", 
                              "Fledgling number", "Hatchling number", 
                              "Clutch size")) +
  labs(x = "Fitness traits (PC1)",
       y = "Standarized effect size") +
  ylim(-1,1) +
  coord_flip() +
  theme_classic()



###
## PC2
#data_frame is no longer a command --> it's depracted
# the bottom trait is clutch size if I write it first. I prefer to have it the other way around
pc2_plot.effect.size_fitness <- tibble(Traits = c("Fledgling tarsus","Fledgling mass", 
                                                      "Fledgling number", "Hatchling number", 
                                                      "Clutch size"),
                                           Estimate = c(pc2_fledg.tarsus_mean,
                                                        pc2_fledg.mass_mean,
                                                        pc2_fledg.numb_mean,
                                                        pc2_hatch.numb_mean,
                                                        pc2_clutch.size_mean), 
                                           Lower = c(pc2_fledg.tarsus_cri_low,
                                                     pc2_fledg.mass_cri_low,
                                                     pc2_fledg.numb_cri_low,
                                                     pc2_hatch.numb_cri_low,
                                                     pc2_clutch.size_cri_low),
                                           Upper = c(pc2_fledg.tarsus_cri_high,
                                                     pc2_fledg.mass_cri_high,
                                                     pc2_fledg.numb_cri_high,
                                                     pc2_hatch.numb_cri_high,
                                                     pc2_clutch.size_cri_high))

# don't know why but x is y, and y is x
ggplot.effect.size_pc2_fitness<-ggplot(pc2_plot.effect.size_clutch.size, aes(x = Traits, y = Estimate)) +
  geom_pointrange(aes(ymin = Lower,
                      ymax = Upper)) +
  geom_hline(yintercept = 0,
             linetype = "dotted",
             alpha = 1) +
  scale_x_discrete(limits = c("Fledgling tarsus","Fledgling mass", 
                              "Fledgling number", "Hatchling number", 
                              "Clutch size")) +
  labs(x = "Fitness traits (PC2)",
       y = "Standarized effect size") +
  ylim(-1,1) +
  coord_flip() +
  theme_classic()



##
#PC3
pc3_plot.effect.size_clutch.size <- tibble(Traits = c("Fledgling tarsus","Fledgling mass", 
                                                      "Fledgling number", "Hatchling number", 
                                                      "Clutch size"),
                                           Estimate = c(pc3_fledg.tarsus_mean,
                                                        pc3_fledg.mass_mean,
                                                        pc3_fledg.numb_mean,
                                                        pc3_hatch.numb_mean,
                                                        pc3_clutch.size_mean), 
                                           Lower = c(pc3_fledg.tarsus_cri_low,
                                                     pc3_fledg.mass_cri_low,
                                                     pc3_fledg.numb_cri_low,
                                                     pc3_hatch.numb_cri_low,
                                                     pc3_clutch.size_cri_low),
                                           Upper = c(pc3_fledg.tarsus_cri_high,
                                                     pc3_fledg.mass_cri_high,
                                                     pc3_fledg.numb_cri_high,
                                                     pc3_hatch.numb_cri_high,
                                                     pc3_clutch.size_cri_high))

# don't know why but x is y, and y is x
ggplot.effect.size_pc3_clutch.size<-ggplot(pc3_plot.effect.size_clutch.size, aes(x = Traits, y = Estimate)) +
  geom_pointrange(aes(ymin = Lower,
                      ymax = Upper)) +
  geom_hline(yintercept = 0,
             linetype = "dotted",
             alpha = 1) +
  scale_x_discrete(limits = c("Fledgling tarsus","Fledgling mass", 
                              "Fledgling number", "Hatchling number", 
                              "Clutch size")) +
  labs(x = "Fitness traits (PC3)",
       y = "Standarized effect size") +
  ylim(-1,1) +
  coord_flip() +
  theme_classic()



################################################################################################
########################## CHICKS CONDITION #######################################################

######### -------------- PCs and PHYSIOLOGICAL VARIABLES ------------------------- ##############

# I measured physiological variables on days 6 and 12.
# On day 12: baseline and stress-induced cort, oxy, roms, gpx.
# On day 6: oxy, roms.


#### -------------------- DAY 6: PHYSIOLOGICAL VARIABLES --------------------- #########

# On day 6, I measured 2 physiological variables: OXY and ROMs.

# I start with day 6
#  I select this age category
egg.chicks.2015.2016_more.fa_d6<-droplevels(subset(egg.chicks.2015.2016_more.fa, 
                                                   egg.chicks.2015.2016_more.fa$age.class=="(3,9]"))

egg.chicks.2015.2016_more.fa_d6$Clutch.size...each.age_scale<-scale(egg.chicks.2015.2016_more.fa_d6$Clutch.size...each.age)

oxy.pc_1st_d6<-lmer(OXY.t0 ~ PC1_corrected.year_scale + PC2_corrected.year_scale + 
                      PC3_corrected.year_scale + Date.num_scale +
                    Clutch.size...each.age_scale +
                      (1|Nest_year.x), data=egg.chicks.2015.2016_more.fa_d6_oxy)
summary(oxy.pc_1st_d6)


par(mfrow=c(2,2))
# fixed effects
scatter.smooth(fitted(oxy.pc_1st_d6), resid(oxy.pc_1st_d6));abline(h=0, lty=2)
title("Tukey-Anscombe Plot")

# 2 - QQ of residuals
qqnorm(resid(oxy.pc_1st_d6))
qqline(resid(oxy.pc_1st_d6))

# 3 - res.vari vs fitted
scatter.smooth(fitted(oxy.pc_1st_d6), sqrt(abs(resid(oxy.pc_1st_d6))))

# 4 random effects
qqnorm(ranef(oxy.pc_1st_d6)$Nest_year.x[,1])
qqline(ranef(oxy.pc_1st_d6)$Nest_year.x[,1])

nsim<-10000
bsim.oxy.pc_1st_d6<-sim(oxy.pc_1st_d6, n.sim=nsim)
apply(bsim.oxy.pc_1st_d6@fixef, 2, mean) 
apply(bsim.oxy.pc_1st_d6@fixef, 2, quantile, prob=c(0.025, 0.975))

# random factor - 1
round(quantile (apply(bsim.oxy.pc_1st_d6@ranef$Nest_year.x[ , , 1],1,var), prob=c(0.025, 0.5, 0.975)),3)#median and 95%CI
round(mean(apply(bsim.oxy.pc_1st_d6@ranef$Nest_year.x[ , , 1],1,var)),3) #in case you prefer to extract the mean, and not the median

# residual variance
round(as.vector(quantile(bsim.oxy.pc_1st_d6@sigma^2, c(0.025, 0.5, 0.975))),3) #median and 95%CI
round(mean(bsim.oxy.pc_1st_d6@sigma^2),3) #mean

##############
### EFFECT SIZES

# check the order of the variables
apply(bsim.oxy.pc_1st_d6@fixef, 2, mean) 

# PC1_corrected.year
PC1_corrected.year_oxy.d6 <- bsim.oxy.pc_1st_d6@fixef[,2] 

mean_PC1_corrected.year_oxy.d6 <- mean(PC1_corrected.year_oxy.d6) 
lower_PC1_corrected.year_oxy.d6 <- quantile(x =PC1_corrected.year_oxy.d6,prob=0.025) 
upper_PC1_corrected.year_oxy.d6 <- quantile(x = PC1_corrected.year_oxy.d6, prob=0.975) 

fila1_PC1_corrected.year_oxy.d6 <- c('PC1_corrected.year',mean_PC1_corrected.year_oxy.d6,
                      lower_PC1_corrected.year_oxy.d6,upper_PC1_corrected.year_oxy.d6) 


# pc2
PC2_corrected.year_oxy.d6 <- bsim.oxy.pc_1st_d6@fixef[,3] 

mean_PC2_corrected.year_oxy.d6 <- mean(PC2_corrected.year_oxy.d6) 
lower_PC2_corrected.year_oxy.d6 <- quantile(x =PC2_corrected.year_oxy.d6,prob=0.025) 
upper_PC2_corrected.year_oxy.d6 <- quantile(x = PC2_corrected.year_oxy.d6, prob=0.975) 

fila2_PC2_corrected.year_oxy.d6 <- c('PC2_corrected.year',mean_PC2_corrected.year_oxy.d6,
                      lower_PC2_corrected.year_oxy.d6,upper_PC2_corrected.year_oxy.d6) 


#pc3
PC3_corrected.year_oxy.d6 <- bsim.oxy.pc_1st_d6@fixef[,4] 

mean_PC3_corrected.year_oxy.d6 <- mean(PC3_corrected.year_oxy.d6) 
lower_PC3_corrected.year_oxy.d6 <- quantile(x =PC3_corrected.year_oxy.d6,prob=0.025) 
upper_PC3_corrected.year_oxy.d6 <- quantile(x = PC3_corrected.year_oxy.d6, prob=0.975) 

fila3_PC3_corrected.year_oxy.d6 <- c('PC3_corrected.year',mean_PC3_corrected.year_oxy.d6,
                      lower_PC3_corrected.year_oxy.d6,upper_PC3_corrected.year_oxy.d6) 


effect.size_mean.pc_oxy.d6 <- as.data.frame(rbind(fila1_PC1_corrected.year_oxy.d6, fila2_PC2_corrected.year_oxy.d6, 
                                                  fila3_PC3_corrected.year_oxy.d6))

names(effect.size_mean.pc_oxy.d6) <- c('Period', 'mean','lower','upper')

effect.size_mean.pc_oxy.d6$mean <- as.character(effect.size_mean.pc_oxy.d6$mean) 

effect.size_mean.pc_oxy.d6$upper <- as.character(effect.size_mean.pc_oxy.d6$upper)

effect.size_mean.pc_oxy.d6$lower <- as.character(effect.size_mean.pc_oxy.d6$lower)

effect.size_mean.pc_oxy.d6$mean <- as.numeric(effect.size_mean.pc_oxy.d6$mean)

effect.size_mean.pc_oxy.d6$upper <- as.numeric(effect.size_mean.pc_oxy.d6$upper)

effect.size_mean.pc_oxy.d6$lower <- as.numeric(effect.size_mean.pc_oxy.d6$lower)

# diferences$ID <- paste(diferences$relation,diferences$call, sep=' ')


dodge <- position_dodge(width=0.8)

effect.size_mean.pc_oxy.d6_plot <- ggplot(data = effect.size_mean.pc_oxy.d6, aes(y=Period, x=mean,color=Period,shape=Period)) +   
  geom_vline(xintercept=0,color='grey69',size=1.8,linetype=3)+
  scale_color_manual(values=c('#FF9900', '#3399FF', '#FF6666', '#00CC66'))+
  geom_errorbarh(data = effect.size_mean.pc_oxy.d6,aes(xmax=upper, xmin=lower,color=Period),size=2, position=dodge)+
  geom_point(size=5,color='black',position=dodge) + 
  ylab('PCs')+
  xlab('OXY d6')+
  ggtitle('OXY d6') +   
  theme_classic() 


######## ----------------- ROMs - day 6 -------------------- #############################

egg.chicks.2015.2016_more.fa_d6_roms<-droplevels(subset(egg.chicks.2015.2016_more.fa_d6, 
                                                        egg.chicks.2015.2016_more.fa_d6$ROMs.t0!="NA"))

egg.chicks.2015.2016_more.fa_d6_roms$PC1_corrected.year_scale<-scale(egg.chicks.2015.2016_more.fa_d6_roms$PC1_corrected.year)
egg.chicks.2015.2016_more.fa_d6_roms$PC2_corrected.year_scale<-scale(egg.chicks.2015.2016_more.fa_d6_roms$PC2_corrected.year)
egg.chicks.2015.2016_more.fa_d6_roms$PC3_corrected.year_scale<-scale(egg.chicks.2015.2016_more.fa_d6_roms$PC3_corrected.year)
egg.chicks.2015.2016_more.fa_d6_roms$Time.of.capture.num_scale<-scale(egg.chicks.2015.2016_more.fa_d6_roms$Time.of.capture.num)
egg.chicks.2015.2016_more.fa_d6_roms$Date.num_scale<-scale(egg.chicks.2015.2016_more.fa_d6_roms$Date.num)
egg.chicks.2015.2016_more.fa_d6_roms$Temp...time.capture_scale<-scale(egg.chicks.2015.2016_more.fa_d6_roms$Temperature...time.capture)

## Model
roms.pc_1st_d6<-lmer(ROMs.t0 ~ PC1_corrected.year_scale + PC2_corrected.year_scale + 
                       PC3_corrected.year_scale +
                       Date.num_scale + 
                       (1|Nest_year.x), data=egg.chicks.2015.2016_more.fa_d6_roms)
summary(roms.pc_1st_d6)

par(mfrow=c(2,2))
# fixed effects
scatter.smooth(fitted(roms.pc_1st_d6), resid(roms.pc_1st_d6));abline(h=0, lty=2)
title("Tukey-Anscombe Plot")

# 2 - QQ of residuals
qqnorm(resid(roms.pc_1st_d6))
qqline(resid(roms.pc_1st_d6))

# 3 - res.vari vs fitted
scatter.smooth(fitted(roms.pc_1st_d6), sqrt(abs(resid(roms.pc_1st_d6))))

# 4 random effects
qqnorm(ranef(roms.pc_1st_d6)$Nest_year.x[,1])
qqline(ranef(roms.pc_1st_d6)$Nest_year.x[,1])

nsim<-10000
bsim.roms.pc_1st_d6<-sim(roms.pc_1st_d6, n.sim=nsim)
apply(bsim.roms.pc_1st_d6@fixef, 2, mean) 
apply(bsim.roms.pc_1st_d6@fixef, 2, quantile, prob=c(0.025, 0.975))

# random factor - 1
round(quantile (apply(bsim.roms.pc_1st_d6@ranef$Nest_year.x[ , , 1],1,var), prob=c(0.025, 0.5, 0.975)),3)#median and 95%CI
round(mean(apply(bsim.roms.pc_1st_d6@ranef$Nest_year.x[ , , 1],1,var)),3) #in case you prefer to extract the mean, and not the median

# residual variance
round(as.vector(quantile(bsim.roms.pc_1st_d6@sigma^2, c(0.025, 0.5, 0.975))),3) #median and 95%CI
round(mean(bsim.roms.pc_1st_d6@sigma^2),3) #mean

######## EFFECT SIZES ######
apply(bsim.roms.pc_1st_d6@fixef, 2, mean) 

# PC1_corrected.year
PC1_corrected.year_roms.d6 <- bsim.roms.pc_1st_d6@fixef[,2] 

mean_PC1_corrected.year_roms.d6 <- mean(PC1_corrected.year_roms.d6) 
lower_PC1_corrected.year_roms.d6 <- quantile(x =PC1_corrected.year_roms.d6,prob=0.025) 
upper_PC1_corrected.year_roms.d6 <- quantile(x = PC1_corrected.year_roms.d6, prob=0.975) 

fila1_PC1_corrected.year_roms.d6 <- c('PC1_corrected.year',mean_PC1_corrected.year_roms.d6,
                       lower_PC1_corrected.year_roms.d6,upper_PC1_corrected.year_roms.d6) 


#pc2
PC2_corrected.year_roms.d6 <- bsim.roms.pc_1st_d6@fixef[,3] 

mean_PC2_corrected.year_roms.d6 <- mean(PC2_corrected.year_roms.d6) 
lower_PC2_corrected.year_roms.d6 <- quantile(x =PC2_corrected.year_roms.d6,prob=0.025) 
upper_PC2_corrected.year_roms.d6 <- quantile(x = PC2_corrected.year_roms.d6, prob=0.975) 

fila2_PC2_corrected.year_roms.d6 <- c('PC2_corrected.year',mean_PC2_corrected.year_roms.d6,
                       lower_PC2_corrected.year_roms.d6,upper_PC2_corrected.year_roms.d6) 


# pc3
PC3_corrected.year_roms.d6 <- bsim.roms.pc_1st_d6@fixef[,4] 

mean_PC3_corrected.year_roms.d6 <- mean(PC3_corrected.year_roms.d6) 
lower_PC3_corrected.year_roms.d6 <- quantile(x =PC3_corrected.year_roms.d6,prob=0.025) 
upper_PC3_corrected.year_roms.d6 <- quantile(x = PC3_corrected.year_roms.d6, prob=0.975) 

fila3_PC3_corrected.year_roms.d6 <- c('PC3_corrected.year',mean_PC3_corrected.year_roms.d6,
                       lower_PC3_corrected.year_roms.d6,upper_PC3_corrected.year_roms.d6) 


effect.size_mean.pc_roms.d6 <- as.data.frame(rbind(fila1_PC1_corrected.year_roms.d6, fila2_PC2_corrected.year_roms.d6, 
                                                   fila3_PC3_corrected.year_roms.d6))

names(effect.size_mean.pc_roms.d6) <- c('Period', 'mean','lower','upper')

effect.size_mean.pc_roms.d6$mean <- as.character(effect.size_mean.pc_roms.d6$mean) 

effect.size_mean.pc_roms.d6$upper <- as.character(effect.size_mean.pc_roms.d6$upper)

effect.size_mean.pc_roms.d6$lower <- as.character(effect.size_mean.pc_roms.d6$lower)

effect.size_mean.pc_roms.d6$mean <- as.numeric(effect.size_mean.pc_roms.d6$mean)

effect.size_mean.pc_roms.d6$upper <- as.numeric(effect.size_mean.pc_roms.d6$upper)

effect.size_mean.pc_roms.d6$lower <- as.numeric(effect.size_mean.pc_roms.d6$lower)

# diferences$ID <- paste(diferences$relation,diferences$call, sep=' ')


dodge <- position_dodge(width=0.8)

effect.size_mean.pc_roms.d6_plot <- ggplot(data = effect.size_mean.pc_roms.d6, aes(y=Period, x=mean,color=Period,shape=Period)) +   
  geom_vline(xintercept=0,color='grey69',size=1.8,linetype=3)+
  scale_color_manual(values=c('#FF9900', '#3399FF', '#FF6666', '#00CC66'))+
  geom_errorbarh(data = effect.size_mean.pc_roms.d6,aes(xmax=upper, xmin=lower,color=Period),size=2, position=dodge)+
  geom_point(size=5,color='black',position=dodge) + 
  ylab('PCs')+
  xlab('ROMs d6')+
  ggtitle('ROMs d6') +   
  theme_classic() 


###########
##########
###########

## Mass on day 6 

####
# I will work with mass and tarsus corrected by clutch size --> to keep it constant in all ages sampled.
cz_mass_d6<-lm(Mass.y ~ Clutch.size...each.age, data=egg.chicks.2015.2016_more.fa_d6)
summary(cz_mass_d6)

plot(cz_mass_d6)

resid(cz_mass_d6)

cz_mass_d6_resid<-as.data.frame(resid(cz_mass_d6))


egg.chicks.2015.2016_more.fa_d6<-cbind(egg.chicks.2015.2016_more.fa_d6,
                                       cz_mass_d6_resid)
names(egg.chicks.2015.2016_more.fa_d6)

colnames(egg.chicks.2015.2016_more.fa_d6)[280] <- "cz_mass_d6_resid"


mass.pc_d6<-lmer(cz_mass_d6_resid ~ PC1_corrected.year_scale + PC2_corrected.year_scale + 
                   PC3_corrected.year_scale +
                   Date.num_scale +
                   (1|Nest_year.x), data=egg.chicks.2015.2016_more.fa_d6)
summary(mass.pc_d6)

par(mfrow=c(2,2))
# fixed effects
scatter.smooth(fitted(mass.pc_d6), resid(mass.pc_d6));abline(h=0, lty=2)
title("Tukey-Anscombe Plot")

# 2 - QQ of residuals
qqnorm(resid(mass.pc_d6))
qqline(resid(mass.pc_d6))

# 3 - res.vari vs fitted
scatter.smooth(fitted(mass.pc_d6), sqrt(abs(resid(mass.pc_d6))))

# 4 random effects
qqnorm(ranef(mass.pc_d6)$Nest_year.x[,1])
qqline(ranef(mass.pc_d6)$Nest_year.x[,1])


nsim<-10000
bsim.mass.pc_d6<-sim(mass.pc_d6, n.sim=nsim)
apply(bsim.mass.pc_d6@fixef, 2, mean) 
apply(bsim.mass.pc_d6@fixef, 2, quantile, prob=c(0.025, 0.975))

# random factor - 1
round(quantile (apply(bsim.mass.pc_d6@ranef$Nest_year.x[ , , 1],1,var), prob=c(0.025, 0.5, 0.975)),3)#median and 95%CI
round(mean(apply(bsim.mass.pc_d6@ranef$Nest_year.x[ , , 1],1,var)),3) #in case you prefer to extract the mean, and not the median

# residual variance
round(as.vector(quantile(bsim.mass.pc_d6@sigma^2, c(0.025, 0.5, 0.975))),3) #median and 95%CI
round(mean(bsim.mass.pc_d6@sigma^2),3) #mean

### ######## EFFECT SIZES ######
apply(bsim.mass.pc_d6@fixef, 2, mean) 

# PC1
PC1_corrected.year_mass.d6 <- bsim.mass.pc_d6@fixef[,2] 

mean_PC1_corrected.year_mass.d6 <- mean(PC1_corrected.year_mass.d6) 
lower_PC1_corrected.year_mass.d6 <- quantile(x =PC1_corrected.year_mass.d6,prob=0.025) 
upper_PC1_corrected.year_mass.d6 <- quantile(x = PC1_corrected.year_mass.d6, prob=0.975) 

fila1_PC1_corrected.year_mass.d6 <- c('PC1_corrected.year',mean_PC1_corrected.year_mass.d6,
                                        lower_PC1_corrected.year_mass.d6,upper_PC1_corrected.year_mass.d6) 


# PC2_
PC2_corrected.year_mass.d6 <- bsim.mass.pc_d6@fixef[,3] 

mean_PC2_corrected.year_mass.d6 <- mean(PC2_corrected.year_mass.d6) 
lower_PC2_corrected.year_mass.d6 <- quantile(x =PC2_corrected.year_mass.d6,prob=0.025) 
upper_PC2_corrected.year_mass.d6 <- quantile(x = PC2_corrected.year_mass.d6, prob=0.975) 

fila2_PC2_corrected.year_mass.d6 <- c('PC2_corrected.year',mean_PC2_corrected.year_mass.d6,
                                        lower_PC2_corrected.year_mass.d6,upper_PC2_corrected.year_mass.d6) 


# pc3
PC3_corrected.year_mass.d6 <- bsim.mass.pc_d6@fixef[,4] 

mean_PC3_corrected.year_mass.d6 <- mean(PC3_corrected.year_mass.d6) 
lower_PC3_corrected.year_mass.d6 <- quantile(x =PC3_corrected.year_mass.d6,prob=0.025) 
upper_PC3_corrected.year_mass.d6 <- quantile(x = PC3_corrected.year_mass.d6, prob=0.975) 

fila3_PC3_corrected.year_mass.d6 <- c('PC3_corrected.year',mean_PC3_corrected.year_mass.d6,
                                        lower_PC3_corrected.year_mass.d6,upper_PC3_corrected.year_mass.d6) 


effect.size_mean.pc_mass.d6 <- as.data.frame(rbind(fila1_PC1_corrected.year_mass.d6, fila2_PC2_corrected.year_mass.d6, 
                                                     fila3_PC3_corrected.year_mass.d6))

names(effect.size_mean.pc_mass.d6) <- c('Period', 'mean','lower','upper')

effect.size_mean.pc_mass.d6$mean <- as.character(effect.size_mean.pc_mass.d6$mean) 

effect.size_mean.pc_mass.d6$upper <- as.character(effect.size_mean.pc_mass.d6$upper)

effect.size_mean.pc_mass.d6$lower <- as.character(effect.size_mean.pc_mass.d6$lower)

effect.size_mean.pc_mass.d6$mean <- as.numeric(effect.size_mean.pc_mass.d6$mean)

effect.size_mean.pc_mass.d6$upper <- as.numeric(effect.size_mean.pc_mass.d6$upper)

effect.size_mean.pc_mass.d6$lower <- as.numeric(effect.size_mean.pc_mass.d6$lower)

# diferences$ID <- paste(diferences$relation,diferences$call, sep=' ')


dodge <- position_dodge(width=0.8)

effect.size_mean.pc_mass.d6_plot <- ggplot(data = effect.size_mean.pc_mass.d6, aes(y=Period, x=mean,color=Period,shape=Period)) +   
  geom_vline(xintercept=0,color='grey69',size=1.8,linetype=3)+
  scale_color_manual(values=c('#FF9900', '#3399FF', '#FF6666', '#00CC66'))+
  geom_errorbarh(data = effect.size_mean.pc_mass.d6,aes(xmax=upper, xmin=lower,color=Period),size=2, position=dodge)+
  geom_point(size=5,color='black',position=dodge) + 
  ylab('PCs')+
  xlab('mass d6')+
  ggtitle('mass d6') +   
  theme_classic() 


### Tarsus

# to do this, i have to work with the data base that has complete info for tarsus
cz_tarsus_d6<-lm(Tarsus.y ~ Clutch.size...each.age, data=egg.chicks.2015.2016_more.fa_d6_tarsus.ok)
summary(cz_tarsus_d6)

plot(cz_tarsus_d6)

resid(cz_tarsus_d6)

cz_tarsus_d6_resid<-as.data.frame(resid(cz_tarsus_d6))

egg.chicks.2015.2016_more.fa_d6_tarsus.ok<-cbind(egg.chicks.2015.2016_more.fa_d6_tarsus.ok,
                                       cz_tarsus_d6_resid)
names(egg.chicks.2015.2016_more.fa_d6_tarsus.ok)

colnames(egg.chicks.2015.2016_more.fa_d6_tarsus.ok)[281] <- "cz_tarsus_d6_resid"


tarsus.pc_d6<-lmer(cz_tarsus_d6_resid ~ PC1_corrected.year_scale + PC2_corrected.year_scale + 
                     PC3_corrected.year_scale +
                     Date.num_scale +
                     (1|Nest_year.x), data=egg.chicks.2015.2016_more.fa_d6_tarsus.ok)
summary(tarsus.pc_d6)

par(mfrow=c(2,2))
# fixed effects
scatter.smooth(fitted(tarsus.pc_d6), resid(tarsus.pc_d6));abline(h=0, lty=2)
title("Tukey-Anscombe Plot")

# 2 - QQ of residuals
qqnorm(resid(tarsus.pc_d6))
qqline(resid(tarsus.pc_d6))

# 3 - res.vari vs fitted
scatter.smooth(fitted(tarsus.pc_d6), sqrt(abs(resid(tarsus.pc_d6))))

# 4 random effects
qqnorm(ranef(tarsus.pc_d6)$Nest_year.x[,1])
qqline(ranef(tarsus.pc_d6)$Nest_year.x[,1])


nsim<-10000
bsim.tarsus.pc_d6<-sim(tarsus.pc_d6, n.sim=nsim)
apply(bsim.tarsus.pc_d6@fixef, 2, mean) 
apply(bsim.tarsus.pc_d6@fixef, 2, quantile, prob=c(0.025, 0.975))

# random factor - 1
round(quantile (apply(bsim.tarsus.pc_d6@ranef$Nest_year.x[ , , 1],1,var), prob=c(0.025, 0.5, 0.975)),3)#median and 95%CI
round(mean(apply(bsim.tarsus.pc_d6@ranef$Nest_year.x[ , , 1],1,var)),3) #in case you prefer to extract the mean, and not the median

# residual variance
round(as.vector(quantile(bsim.tarsus.pc_d6@sigma^2, c(0.025, 0.5, 0.975))),3) #median and 95%CI
round(mean(bsim.tarsus.pc_d6@sigma^2),3) #mean


### ######## EFFECT SIZES ######
apply(bsim.tarsus.pc_d6@fixef, 2, mean) 

# PC1_corrected.year
PC1_corrected.year_tarsus.d6 <- bsim.tarsus.pc_d6@fixef[,2] 

mean_PC1_corrected.year_tarsus.d6 <- mean(PC1_corrected.year_tarsus.d6) 
lower_PC1_corrected.year_tarsus.d6 <- quantile(x =PC1_corrected.year_tarsus.d6,prob=0.025) 
upper_PC1_corrected.year_tarsus.d6 <- quantile(x = PC1_corrected.year_tarsus.d6, prob=0.975) 

fila1_PC1_corrected.year_tarsus.d6 <- c('PC1_corrected.year',mean_PC1_corrected.year_tarsus.d6,
                                    lower_PC1_corrected.year_tarsus.d6,upper_PC1_corrected.year_tarsus.d6) 


# pc2
PC2_corrected.year_tarsus.d6 <- bsim.tarsus.pc_d6@fixef[,3] 

mean_PC2_corrected.year_tarsus.d6 <- mean(PC2_corrected.year_tarsus.d6) 
lower_PC2_corrected.year_tarsus.d6 <- quantile(x =PC2_corrected.year_tarsus.d6,prob=0.025) 
upper_PC2_corrected.year_tarsus.d6 <- quantile(x = PC2_corrected.year_tarsus.d6, prob=0.975) 

fila2_PC2_corrected.year_tarsus.d6 <- c('PC2_corrected.year',mean_PC2_corrected.year_tarsus.d6,
                                    lower_PC2_corrected.year_tarsus.d6,upper_PC2_corrected.year_tarsus.d6) 


# pC3_corrected.year
PC3_corrected.year_tarsus.d6 <- bsim.tarsus.pc_d6@fixef[,4] 

mean_PC3_corrected.year_tarsus.d6 <- mean(PC3_corrected.year_tarsus.d6) 
lower_PC3_corrected.year_tarsus.d6 <- quantile(x =PC3_corrected.year_tarsus.d6,prob=0.025) 
upper_PC3_corrected.year_tarsus.d6 <- quantile(x = PC3_corrected.year_tarsus.d6, prob=0.975) 

fila3_PC3_corrected.year_tarsus.d6 <- c('PC3_corrected.year',mean_PC3_corrected.year_tarsus.d6,
                                    lower_PC3_corrected.year_tarsus.d6,upper_PC3_corrected.year_tarsus.d6) 


effect.size_mean.pc_tarsus.d6 <- as.data.frame(rbind(fila1_PC1_corrected.year_tarsus.d6, fila2_PC2_corrected.year_tarsus.d6, 
                                                 fila3_PC3_corrected.year_tarsus.d6))

names(effect.size_mean.pc_tarsus.d6) <- c('Period', 'mean','lower','upper')

effect.size_mean.pc_tarsus.d6$mean <- as.character(effect.size_mean.pc_tarsus.d6$mean) 

effect.size_mean.pc_tarsus.d6$upper <- as.character(effect.size_mean.pc_tarsus.d6$upper)

effect.size_mean.pc_tarsus.d6$lower <- as.character(effect.size_mean.pc_tarsus.d6$lower)

effect.size_mean.pc_tarsus.d6$mean <- as.numeric(effect.size_mean.pc_tarsus.d6$mean)

effect.size_mean.pc_tarsus.d6$upper <- as.numeric(effect.size_mean.pc_tarsus.d6$upper)

effect.size_mean.pc_tarsus.d6$lower <- as.numeric(effect.size_mean.pc_tarsus.d6$lower)

# diferences$ID <- paste(diferences$relation,diferences$call, sep=' ')


dodge <- position_dodge(width=0.8)

effect.size_mean.pc_tarsus.d6_plot <- ggplot(data = effect.size_mean.pc_tarsus.d6, aes(y=Period, x=mean,color=Period,shape=Period)) +   
  geom_vline(xintercept=0,color='grey69',size=1.8,linetype=3)+
  scale_color_manual(values=c('#FF9900', '#3399FF', '#FF6666', '#00CC66'))+
  geom_errorbarh(data = effect.size_mean.pc_tarsus.d6,aes(xmax=upper, xmin=lower,color=Period),size=2, position=dodge)+
  geom_point(size=5,color='black',position=dodge) + 
  ylab('PCs')+
  xlab('Tarsus d6')+
  ggtitle('Tarsus d6') +   
  theme_classic() 


#######
######
#######

################################################################################################
########################################## EFFECT SIZE ########################################
######################################## one plot for all variables ########################################


# clutch number - pc1
# calculo la media y los CrI
# OXY
pc1_oxy.d6_mean <- quantile(bsim.oxy.pc_1st_d6@fixef[,2],prob=c(0.5)) 
pc1_oxy.d6_cri_low <- quantile(bsim.oxy.pc_1st_d6@fixef[,2],prob=c(0.025)) 
pc1_oxy.d6_cri_high <- quantile(bsim.oxy.pc_1st_d6@fixef[,2],prob=c(0.975)) 

# pc2
pc2_oxy.d6_mean <- quantile(bsim.oxy.pc_1st_d6@fixef[,3],prob=c(0.5)) 
pc2_oxy.d6_cri_low <- quantile(bsim.oxy.pc_1st_d6@fixef[,3],prob=c(0.025)) 
pc2_oxy.d6_cri_high <- quantile(bsim.oxy.pc_1st_d6@fixef[,3],prob=c(0.975))

# pc3
pc3_oxy.d6_mean <- quantile(bsim.oxy.pc_1st_d6@fixef[,4],prob=c(0.5)) 
pc3_oxy.d6_cri_low <- quantile(bsim.oxy.pc_1st_d6@fixef[,4],prob=c(0.025)) 
pc3_oxy.d6_cri_high <- quantile(bsim.oxy.pc_1st_d6@fixef[,4],prob=c(0.975))


# ROMs
pc1_roms.d6_mean <- quantile(bsim.roms.pc_1st_d6@fixef[,2],prob=c(0.5)) 
pc1_roms.d6_cri_low <- quantile(bsim.roms.pc_1st_d6@fixef[,2],prob=c(0.025)) 
pc1_roms.d6_cri_high <- quantile(bsim.roms.pc_1st_d6@fixef[,2],prob=c(0.975)) 

# pc2
pc2_roms.d6_mean <- quantile(bsim.roms.pc_1st_d6@fixef[,3],prob=c(0.5)) 
pc2_roms.d6_cri_low <- quantile(bsim.roms.pc_1st_d6@fixef[,3],prob=c(0.025)) 
pc2_roms.d6_cri_high <- quantile(bsim.roms.pc_1st_d6@fixef[,3],prob=c(0.975))

# pc3
pc3_roms.d6_mean <- quantile(bsim.roms.pc_1st_d6@fixef[,4],prob=c(0.5)) 
pc3_roms.d6_cri_low <- quantile(bsim.roms.pc_1st_d6@fixef[,4],prob=c(0.025)) 
pc3_roms.d6_cri_high <- quantile(bsim.roms.pc_1st_d6@fixef[,4],prob=c(0.975))



# d6 - mass
pc1_mass.d6_mean <- quantile(bsim.mass.pc_d6@fixef[,2],prob=c(0.5)) 
pc1_mass.d6_cri_low <- quantile(bsim.mass.pc_d6@fixef[,2],prob=c(0.025)) 
pc1_mass.d6_cri_high <- quantile(bsim.mass.pc_d6@fixef[,2],prob=c(0.975)) 

# pc2
pc2_mass.d6_mean <- quantile(bsim.mass.pc_d6@fixef[,3],prob=c(0.5)) 
pc2_mass.d6_cri_low <- quantile(bsim.mass.pc_d6@fixef[,3],prob=c(0.025)) 
pc2_mass.d6_cri_high <- quantile(bsim.mass.pc_d6@fixef[,3],prob=c(0.975))

# pc3
pc3_mass.d6_mean <- quantile(bsim.mass.pc_d6@fixef[,4],prob=c(0.5)) 
pc3_mass.d6_cri_low <- quantile(bsim.mass.pc_d6@fixef[,4],prob=c(0.025)) 
pc3_mass.d6_cri_high <- quantile(bsim.mass.pc_d6@fixef[,4],prob=c(0.975))



# d6 - tarsus
pc1_tarsus.d6_mean <- quantile(bsim.tarsus.pc_d6@fixef[,2],prob=c(0.5)) 
pc1_tarsus.d6_cri_low <- quantile(bsim.tarsus.pc_d6@fixef[,2],prob=c(0.025)) 
pc1_tarsus.d6_cri_high <- quantile(bsim.tarsus.pc_d6@fixef[,2],prob=c(0.975)) 

# pc2
pc2_tarsus.d6_mean <- quantile(bsim.tarsus.pc_d6@fixef[,3],prob=c(0.5)) 
pc2_tarsus.d6_cri_low <- quantile(bsim.tarsus.pc_d6@fixef[,3],prob=c(0.025)) 
pc2_tarsus.d6_cri_high <- quantile(bsim.tarsus.pc_d6@fixef[,3],prob=c(0.975))

# pc3
pc3_tarsus.d6_mean <- quantile(bsim.tarsus.pc_d6@fixef[,4],prob=c(0.5)) 
pc3_tarsus.d6_cri_low <- quantile(bsim.tarsus.pc_d6@fixef[,4],prob=c(0.025)) 
pc3_tarsus.d6_cri_high <- quantile(bsim.tarsus.pc_d6@fixef[,4],prob=c(0.975))



# growth rate
pc1_growth.rate.d6_mean <- quantile(bsim.growth.rate.pc_d6@fixef[,2],prob=c(0.5)) 
pc1_growth.rate.d6_cri_low <- quantile(bsim.growth.rate.pc_d6@fixef[,2],prob=c(0.025)) 
pc1_growth.rate.d6_cri_high <- quantile(bsim.growth.rate.pc_d6@fixef[,2],prob=c(0.975)) 

# pc2
pc2_growth.rate.d6_mean <- quantile(bsim.growth.rate.pc_d6@fixef[,3],prob=c(0.5)) 
pc2_growth.rate.d6_cri_low <- quantile(bsim.growth.rate.pc_d6@fixef[,3],prob=c(0.025)) 
pc2_growth.rate.d6_cri_high <- quantile(bsim.growth.rate.pc_d6@fixef[,3],prob=c(0.975))


# pc3
pc3_growth.rate.d6_mean <- quantile(bsim.growth.rate.pc_d6@fixef[,4],prob=c(0.5)) 
pc3_growth.rate.d6_cri_low <- quantile(bsim.growth.rate.pc_d6@fixef[,4],prob=c(0.025)) 
pc3_growth.rate.d6_cri_high <- quantile(bsim.growth.rate.pc_d6@fixef[,4],prob=c(0.975))


### Now, the plot
#data_frame is no longer a command --> it's depracted
# the bottom trait is clutch size if I write it first. I prefer to have it the other way around
pc1_plot.effect.size_d6.physio <- tibble(Traits = c("Growth rate","Tarsus", 
                                                      "Mass", "ROMs", 
                                                      "OXY"),
                                           Estimate = c(pc1_growth.rate.d6_mean,
                                                        pc1_tarsus.d6_mean,
                                                        pc1_mass.d6_mean,
                                                        pc1_roms.d6_mean,
                                                        pc1_oxy.d6_mean), 
                                           Lower = c(pc1_growth.rate.d6_cri_low,
                                                     pc1_tarsus.d6_cri_low,
                                                     pc1_mass.d6_cri_low,
                                                     pc1_roms.d6_cri_low,
                                                     pc1_oxy.d6_cri_low),
                                           Upper = c(pc1_growth.rate.d6_cri_high,
                                                     pc1_tarsus.d6_cri_high,
                                                     pc1_mass.d6_cri_high,
                                                     pc1_roms.d6_cri_high,
                                                     pc1_oxy.d6_cri_high))

# don't know why but x is y, and y is x
ggplot.effect.size_pc1_physio_d6<-ggplot(pc1_plot.effect.size_d6.physio, aes(x = Traits, y = Estimate)) +
  geom_pointrange(aes(ymin = Lower,
                      ymax = Upper)) +
  geom_hline(yintercept = 0,
             linetype = "dotted",
             alpha = 1) +
  scale_x_discrete(limits = c("Growth rate","Tarsus", 
                              "Mass", "ROMs", 
                              "OXY")) +
  labs(x = "Physiological traits - d6 (PC1)",
       y = "Standarized effect size") +
  ylim(-1,1) +
  coord_flip() +
  theme_classic()


###
## PC2
#data_frame is no longer a command --> it's depracted
# the bottom trait is clutch size if I write it first. I prefer to have it the other way around
pc2_plot.effect.size_d6.physio <- tibble(Traits = c("Growth rate","Tarsus", 
                                                    "Mass", "ROMs", 
                                                    "OXY"),
                                         Estimate = c(pc2_growth.rate.d6_mean,
                                                      pc2_tarsus.d6_mean,
                                                      pc2_mass.d6_mean,
                                                      pc2_roms.d6_mean,
                                                      pc2_oxy.d6_mean), 
                                         Lower = c(pc2_growth.rate.d6_cri_low,
                                                   pc2_tarsus.d6_cri_low,
                                                   pc2_mass.d6_cri_low,
                                                   pc2_roms.d6_cri_low,
                                                   pc2_oxy.d6_cri_low),
                                         Upper = c(pc2_growth.rate.d6_cri_high,
                                                   pc2_tarsus.d6_cri_high,
                                                   pc2_mass.d6_cri_high,
                                                   pc2_roms.d6_cri_high,
                                                   pc2_oxy.d6_cri_high))

# don't know why but x is y, and y is x
ggplot.effect.size_pc2_physio_d6<-ggplot(pc2_plot.effect.size_d6.physio, aes(x = Traits, y = Estimate)) +
  geom_pointrange(aes(ymin = Lower,
                      ymax = Upper)) +
  geom_hline(yintercept = 0,
             linetype = "dotted",
             alpha = 1) +
  scale_x_discrete(limits = c("Growth rate","Tarsus", 
                              "Mass", "ROMs", 
                              "OXY")) +
  labs(x = "Physiological traits - d6 (pc2)",
       y = "Standarized effect size") +
  ylim(-1,1) +
  coord_flip() +
  theme_classic()


##
#PC3
pc3_plot.effect.size_d6.physio <- tibble(Traits = c("Growth rate","Tarsus", 
                                                    "Mass", "ROMs", 
                                                    "OXY"),
                                         Estimate = c(pc3_growth.rate.d6_mean,
                                                      pc3_tarsus.d6_mean,
                                                      pc3_mass.d6_mean,
                                                      pc3_roms.d6_mean,
                                                      pc3_oxy.d6_mean), 
                                         Lower = c(pc3_growth.rate.d6_cri_low,
                                                   pc3_tarsus.d6_cri_low,
                                                   pc3_mass.d6_cri_low,
                                                   pc3_roms.d6_cri_low,
                                                   pc3_oxy.d6_cri_low),
                                         Upper = c(pc3_growth.rate.d6_cri_high,
                                                   pc3_tarsus.d6_cri_high,
                                                   pc3_mass.d6_cri_high,
                                                   pc3_roms.d6_cri_high,
                                                   pc3_oxy.d6_cri_high))

# don't know why but x is y, and y is x
ggplot.effect.size_pc3_physio_d6<-ggplot(pc3_plot.effect.size_d6.physio, aes(x = Traits, y = Estimate)) +
  geom_pointrange(aes(ymin = Lower,
                      ymax = Upper)) +
  geom_hline(yintercept = 0,
             linetype = "dotted",
             alpha = 1) +
  scale_x_discrete(limits = c("Growth rate","Tarsus", 
                              "Mass", "ROMs", 
                              "OXY")) +
  labs(x = "Physiological traits - d6 (pc3)",
       y = "Standarized effect size") +
  ylim(-1,1) +
  coord_flip() +
  theme_classic()


###########################################################################################
##########################          DAY 12          ##################################
###########################################################################################

# Good. Now I select only day 12
egg.chicks.2015.2016_more.fa_d12<-droplevels(subset(egg.chicks.2015.2016_more.fa, 
                                                    egg.chicks.2015.2016_more.fa$age.class=='(9,14]'))

# I would also like to include time of sampling in the analysis
egg.chicks.2015.2016_more.fa_d12$Time.of.capture  
egg.chicks.2015.2016_more.fa_d12$Time.of.capture<-as.character(egg.chicks.2015.2016_more.fa_d12$Time.of.capture)

nchar(egg.chicks.2015.2016_more.fa_d12$Time.of.capture)

index <- nchar(egg.chicks.2015.2016_more.fa_d12$Time.of.capture)==8

egg.chicks.2015.2016_more.fa_d12$hour.end[index]<- as.numeric(substring(egg.chicks.2015.2016_more.fa_d12$Time.of.capture[index], 1,2))
egg.chicks.2015.2016_more.fa_d12$min.end[index]<- as.numeric(substring(egg.chicks.2015.2016_more.fa_d12$Time.of.capture[index], 4,5))

egg.chicks.2015.2016_more.fa_d12$Time.of.capture.num <- egg.chicks.2015.2016_more.fa_d12$hour.end + egg.chicks.2015.2016_more.fa_d12$min.end/60

egg.chicks.2015.2016_more.fa_d12$Time.of.capture_scale<-scale(egg.chicks.2015.2016_more.fa_d12$Time.of.capture.num)



############
################ --------------- OXY -------------------------------- ##################

egg.chicks.2015.2016_more.fa_d12_oxy<-droplevels(subset(egg.chicks.2015.2016_more.fa_d12, 
                                                        egg.chicks.2015.2016_more.fa_d12$OXY.t0!="NA"))

#egg.chicks.2015.2016_more.fa_d12_oxy<-droplevels(subset(egg.chicks.2015.2016_more.fa_d12_oxy, 
#                                                    egg.chicks.2015.2016_more.fa_d12_oxy$OXY.t0<400))

nchar(egg.chicks.2015.2016_more.fa_d12_oxy$Time.c0)

index <- nchar(egg.chicks.2015.2016_more.fa_d12_oxy$Time.c0)==5

egg.chicks.2015.2016_more.fa_d12_oxy$hour.end[index]<- as.numeric(substring(egg.chicks.2015.2016_more.fa_d12_oxy$Time.c0[index], 2,2))
egg.chicks.2015.2016_more.fa_d12_oxy$min.end[index]<- as.numeric(substring(egg.chicks.2015.2016_more.fa_d12_oxy$Time.c0[index], 4,5))

egg.chicks.2015.2016_more.fa_d12_oxy$Time.c0.num <- egg.chicks.2015.2016_more.fa_d12_oxy$hour.end + egg.chicks.2015.2016_more.fa_d12_oxy$min.end/60


egg.chicks.2015.2016_more.fa_d12_oxy$Time.c0.num_scale<-scale(egg.chicks.2015.2016_more.fa_d12_oxy$Time.c0.num)
egg.chicks.2015.2016_more.fa_d12_oxy$Time.of.capture.num_scale<-scale(egg.chicks.2015.2016_more.fa_d12_oxy$Time.of.capture.num)
egg.chicks.2015.2016_more.fa_d12_oxy$Date.num_scale<-scale(egg.chicks.2015.2016_more.fa_d12_oxy$Date.num)

egg.chicks.2015.2016_more.fa_d12_oxy$Clutch.size...each.age_scale<-scale(egg.chicks.2015.2016_more.fa_d12_oxy$Clutch.size...each.age)


# Model 
oxy.pc_d12<-lmer(OXY.t0 ~ PC1_corrected.year_scale + PC2_corrected.year_scale + 
                   PC3_corrected.year_scale + 
                   Date.num_scale + Clutch.size...each.age_scale + 
                   (1|Nest_year.x), data=egg.chicks.2015.2016_more.fa_d12_oxy)
summary(oxy.pc_d12)


par(mfrow=c(2,2))
# fixed effects
scatter.smooth(fitted(oxy.pc_d12), resid(oxy.pc_d12));abline(h=0, lty=2)
title("Tukey-Anscombe Plot")

# 2 - QQ of residuals
qqnorm(resid(oxy.pc_d12))
qqline(resid(oxy.pc_d12))

# 3 - res.vari vs fitted
scatter.smooth(fitted(oxy.pc_d12), sqrt(abs(resid(oxy.pc_d12))))

# 4 random effects
qqnorm(ranef(oxy.pc_d12)$Nest_year.x[,1])
qqline(ranef(oxy.pc_d12)$Nest_year.x[,1])

nsim<-10000
bsim.oxy.pc_d12<-sim(oxy.pc_d12, n.sim=nsim)
apply(bsim.oxy.pc_d12@fixef, 2, mean) 
apply(bsim.oxy.pc_d12@fixef, 2, quantile, prob=c(0.025, 0.975))

# random factor - 1
round(quantile (apply(bsim.oxy.pc_d12@ranef$Nest_year.x[ , , 1],1,var), prob=c(0.025, 0.5, 0.975)),3)#median and 95%CI
round(mean(apply(bsim.oxy.pc_d12@ranef$Nest_year.x[ , , 1],1,var)),3) #in case you prefer to extract the mean, and not the median

# residual variance
round(as.vector(quantile(bsim.oxy.pc_d12@sigma^2, c(0.025, 0.5, 0.975))),3) #median and 95%CI
round(mean(bsim.oxy.pc_d12@sigma^2),3) #mean

### ### ######## EFFECT SIZES ######
apply(bsim.oxy.pc_d12@fixef, 2, mean) 

PC1_corrected.year_oxy.d12 <- bsim.oxy.pc_d12@fixef[,2] 

mean_PC1_corrected.year_oxy.d12 <- mean(PC1_corrected.year_oxy.d12) 
lower_PC1_corrected.year_oxy.d12 <- quantile(x =PC1_corrected.year_oxy.d12,prob=0.025) 
upper_PC1_corrected.year_oxy.d12 <- quantile(x = PC1_corrected.year_oxy.d12, prob=0.975) 

fila1_PC1_corrected.year_oxy.d12 <- c('PC1_corrected.year',mean_PC1_corrected.year_oxy.d12,
                       lower_PC1_corrected.year_oxy.d12,upper_PC1_corrected.year_oxy.d12) 


# PC2_corrected.year
PC2_corrected.year_oxy.d12 <- bsim.oxy.pc_d12@fixef[,3] 

mean_PC2_corrected.year_oxy.d12 <- mean(PC2_corrected.year_oxy.d12) 
lower_PC2_corrected.year_oxy.d12 <- quantile(x =PC2_corrected.year_oxy.d12,prob=0.025) 
upper_PC2_corrected.year_oxy.d12 <- quantile(x = PC2_corrected.year_oxy.d12, prob=0.975) 

fila2_PC2_corrected.year_oxy.d12 <- c('PC2_corrected.year',mean_PC2_corrected.year_oxy.d12,
                       lower_PC2_corrected.year_oxy.d12,upper_PC2_corrected.year_oxy.d12) 


# PC3_corrected.year
PC3_corrected.year_oxy.d12 <- bsim.oxy.pc_d12@fixef[,4] 

mean_PC3_corrected.year_oxy.d12 <- mean(PC3_corrected.year_oxy.d12) 
lower_PC3_corrected.year_oxy.d12 <- quantile(x =PC3_corrected.year_oxy.d12,prob=0.025) 
upper_PC3_corrected.year_oxy.d12 <- quantile(x = PC3_corrected.year_oxy.d12, prob=0.975) 

fila3_PC3_corrected.year_oxy.d12 <- c('PC3_corrected.year',mean_PC3_corrected.year_oxy.d12,
                       lower_PC3_corrected.year_oxy.d12,upper_PC3_corrected.year_oxy.d12) 


effect.size_mean.pc_oxy.d12 <- as.data.frame(rbind(fila1_PC1_corrected.year_oxy.d12, fila2_PC2_corrected.year_oxy.d12, 
                                                   fila3_PC3_corrected.year_oxy.d12))

names(effect.size_mean.pc_oxy.d12) <- c('Period', 'mean','lower','upper')

effect.size_mean.pc_oxy.d12$mean <- as.character(effect.size_mean.pc_oxy.d12$mean) 

effect.size_mean.pc_oxy.d12$upper <- as.character(effect.size_mean.pc_oxy.d12$upper)

effect.size_mean.pc_oxy.d12$lower <- as.character(effect.size_mean.pc_oxy.d12$lower)

effect.size_mean.pc_oxy.d12$mean <- as.numeric(effect.size_mean.pc_oxy.d12$mean)

effect.size_mean.pc_oxy.d12$upper <- as.numeric(effect.size_mean.pc_oxy.d12$upper)

effect.size_mean.pc_oxy.d12$lower <- as.numeric(effect.size_mean.pc_oxy.d12$lower)

# diferences$ID <- paste(diferences$relation,diferences$call, sep=' ')


dodge <- position_dodge(width=0.8)

effect.size_mean.pc_oxy.d12_plot <- ggplot(data = effect.size_mean.pc_oxy.d12, aes(y=Period, x=mean,color=Period,shape=Period)) +   
  geom_vline(xintercept=0,color='grey69',size=1.8,linetype=3)+
  scale_color_manual(values=c('#FF9900', '#3399FF', '#FF6666', '#00CC66'))+
  geom_errorbarh(data = effect.size_mean.pc_oxy.d12,aes(xmax=upper, xmin=lower,color=Period),size=2, position=dodge)+
  geom_point(size=5,color='black',position=dodge) + 
  ylab('PCs')+
  xlab('OXY d12')+
  ggtitle('OXY d12') +   
  theme_classic() 




################################################################################
##### --------------- ROMs and PC ------------------------- ################
################################################################################

egg.chicks.2015.2016_more.fa_d12_roms<-droplevels(subset(egg.chicks.2015.2016_more.fa_d12, 
                                                         egg.chicks.2015.2016_more.fa_d12$ROMs.t0!="NA"))

### # I would also like to check the effect that sampling time had on roms.
egg.chicks.2015.2016_more.fa_d12_roms$Time.c0
egg.chicks.2015.2016_more.fa_d12_roms$Time.c0<-as.character(egg.chicks.2015.2016_more.fa_d12_roms$Time.c0)

nchar(egg.chicks.2015.2016_more.fa_d12_roms$Time.c0)

index <- nchar(egg.chicks.2015.2016_more.fa_d12_roms$Time.c0)==5

egg.chicks.2015.2016_more.fa_d12_roms$hour.end[index]<- as.numeric(substring(egg.chicks.2015.2016_more.fa_d12_roms$Time.c0[index], 2,2))
egg.chicks.2015.2016_more.fa_d12_roms$min.end[index]<- as.numeric(substring(egg.chicks.2015.2016_more.fa_d12_roms$Time.c0[index], 4,5))

egg.chicks.2015.2016_more.fa_d12_roms$Time.c0.num <- egg.chicks.2015.2016_more.fa_d12_roms$hour.end + egg.chicks.2015.2016_more.fa_d12_roms$min.end/60

egg.chicks.2015.2016_more.fa_d12_roms$PC1_corrected.year_scale<-scale(egg.chicks.2015.2016_more.fa_d12_roms$PC1_corrected.year)
egg.chicks.2015.2016_more.fa_d12_roms$PC2_corrected.year_scale<-scale(egg.chicks.2015.2016_more.fa_d12_roms$PC2_corrected.year)
egg.chicks.2015.2016_more.fa_d12_roms$PC3_corrected.year_scale<-scale(egg.chicks.2015.2016_more.fa_d12_roms$PC3_corrected.year)
egg.chicks.2015.2016_more.fa_d12_roms$Time.c0.num_scale<-scale(egg.chicks.2015.2016_more.fa_d12_roms$Time.c0.num)
egg.chicks.2015.2016_more.fa_d12_roms$Time.of.capture.num_scale<-scale(egg.chicks.2015.2016_more.fa_d12_roms$Time.of.capture.num)
egg.chicks.2015.2016_more.fa_d12_roms$Date.num_scale<-scale(egg.chicks.2015.2016_more.fa_d12_roms$Date.num)
egg.chicks.2015.2016_more.fa_d12_roms$Mean.rainfall.nestling.period_scale<-scale(egg.chicks.2015.2016_more.fa_d12_roms$Mean.rainfall.nestling.period)
egg.chicks.2015.2016_more.fa_d12_roms$Clutch.size...each.age_scale<-scale(egg.chicks.2015.2016_more.fa_d12_roms$Clutch.size...each.age)


## Model
roms.pc<-lmer(log(ROMs.t0) ~ PC1_corrected.year_scale + 
                PC2_corrected.year_scale + PC3_corrected.year_scale +
                Time.c0.num_scale + Date.num_scale + 
                (1|Nest_year.x), data=egg.chicks.2015.2016_more.fa_d12_roms)
summary(roms.pc)

par(mfrow=c(2,2))
# fixed effects
scatter.smooth(fitted(roms.pc), resid(roms.pc));abline(h=0, lty=2)
title("Tukey-Anscombe Plot")

# 2 - QQ of residuals
qqnorm(resid(roms.pc))
qqline(resid(roms.pc))

# 3 - res.vari vs fitted
scatter.smooth(fitted(roms.pc), sqrt(abs(resid(roms.pc))))

# 4 random effects
qqnorm(ranef(roms.pc)$Nest_year.x[,1])
qqline(ranef(roms.pc)$Nest_year.x[,1])

nsim<-10000
bsim.roms.pc<-sim(roms.pc, n.sim=nsim)
apply(bsim.roms.pc@fixef, 2, mean) 
apply(bsim.roms.pc@fixef, 2, quantile, prob=c(0.025, 0.975))

mean(bsim.roms.pc@fixef[,2]<0)  # 97%
mean(bsim.roms.pc@fixef[,3]>0)  #88%

# random factor - 1
round(quantile (apply(bsim.roms.pc@ranef$Nest_year.x[ , , 1],1,var), prob=c(0.025, 0.5, 0.975)),3)#median and 95%CI
round(mean(apply(bsim.roms.pc@ranef$Nest_year.x[ , , 1],1,var)),3) #in case you prefer to extract the mean, and not the median

# residual variance
round(as.vector(quantile(bsim.roms.pc@sigma^2, c(0.025, 0.5, 0.975))),3) #median and 95%CI
round(mean(bsim.roms.pc@sigma^2),3) #mean

###############
### ### ######## EFFECT SIZES ######
apply(bsim.roms.pc@fixef, 2, mean) 

# PC1_corrected.year
PC1_corrected.year_roms.d12 <- bsim.roms.pc@fixef[,2] 

mean_PC1_corrected.year_roms.d12 <- mean(PC1_corrected.year_roms.d12) 
lower_PC1_corrected.year_roms.d12 <- quantile(x =PC1_corrected.year_roms.d12,prob=0.025) 
upper_PC1_corrected.year_roms.d12 <- quantile(x = PC1_corrected.year_roms.d12, prob=0.975) 

fila1_PC1_corrected.year_roms.d12 <- c('PC1_corrected.year',mean_PC1_corrected.year_roms.d12,
                        lower_PC1_corrected.year_roms.d12,upper_PC1_corrected.year_roms.d12) 


PC2_corrected.year_roms.d12 <- bsim.roms.pc@fixef[,3] 

mean_PC2_corrected.year_roms.d12 <- mean(PC2_corrected.year_roms.d12) 
lower_PC2_corrected.year_roms.d12 <- quantile(x =PC2_corrected.year_roms.d12,prob=0.025) 
upper_PC2_corrected.year_roms.d12 <- quantile(x = PC2_corrected.year_roms.d12, prob=0.975) 

fila2_PC2_corrected.year_roms.d12 <- c('PC2_corrected.year',mean_PC2_corrected.year_roms.d12,
                        lower_PC2_corrected.year_roms.d12,upper_PC2_corrected.year_roms.d12) 


# PC3_corrected.year
PC3_corrected.year_roms.d12 <- bsim.roms.pc@fixef[,4] 

mean_PC3_corrected.year_roms.d12 <- mean(PC3_corrected.year_roms.d12) 
lower_PC3_corrected.year_roms.d12 <- quantile(x =PC3_corrected.year_roms.d12,prob=0.025) 
upper_PC3_corrected.year_roms.d12 <- quantile(x = PC3_corrected.year_roms.d12, prob=0.975) 

fila3_PC3_corrected.year_roms.d12 <- c('PC3_corrected.year',mean_PC3_corrected.year_roms.d12,
                        lower_PC3_corrected.year_roms.d12,upper_PC3_corrected.year_roms.d12) 


effect.size_mean.pc_roms.d12 <- as.data.frame(rbind(fila1_PC1_corrected.year_roms.d12, fila2_PC2_corrected.year_roms.d12, 
                                                    fila3_PC3_corrected.year_roms.d12))

names(effect.size_mean.pc_roms.d12) <- c('Period', 'mean','lower','upper')

effect.size_mean.pc_roms.d12$mean <- as.character(effect.size_mean.pc_roms.d12$mean) 

effect.size_mean.pc_roms.d12$upper <- as.character(effect.size_mean.pc_roms.d12$upper)

effect.size_mean.pc_roms.d12$lower <- as.character(effect.size_mean.pc_roms.d12$lower)

effect.size_mean.pc_roms.d12$mean <- as.numeric(effect.size_mean.pc_roms.d12$mean)

effect.size_mean.pc_roms.d12$upper <- as.numeric(effect.size_mean.pc_roms.d12$upper)

effect.size_mean.pc_roms.d12$lower <- as.numeric(effect.size_mean.pc_roms.d12$lower)

# diferences$ID <- paste(diferences$relation,diferences$call, sep=' ')


dodge <- position_dodge(width=0.8)

effect.size_mean.pc_roms.d12_plot <- ggplot(data = effect.size_mean.pc_roms.d12, aes(y=Period, x=mean,color=Period,shape=Period)) +   
  geom_vline(xintercept=0,color='grey69',size=1.8,linetype=3)+
  scale_color_manual(values=c('#FF9900', '#3399FF', '#FF6666', '#00CC66'))+
  geom_errorbarh(data = effect.size_mean.pc_roms.d12,aes(xmax=upper, xmin=lower,color=Period),size=2, position=dodge)+
  geom_point(size=5,color='black',position=dodge) + 
  ylab('PCs')+
  xlab('ROMs d12')+
  ggtitle('ROMs d12') +   
  theme_classic() 


########
##### --------------- GPX and PC ------------------------- ################

egg.chicks.2015.2016_more.fa_d12_gpx<-droplevels(subset(egg.chicks.2015.2016_more.fa_d12, 
                                                        egg.chicks.2015.2016_more.fa_d12$GPX.t0!="NA"))

egg.chicks.2015.2016_more.fa_d12_gpx$Time.c0
egg.chicks.2015.2016_more.fa_d12_gpx$Time.c0<-as.character(egg.chicks.2015.2016_more.fa_d12_gpx$Time.c0)

nchar(egg.chicks.2015.2016_more.fa_d12_gpx$Time.c0)

index <- nchar(egg.chicks.2015.2016_more.fa_d12_gpx$Time.c0)==5

egg.chicks.2015.2016_more.fa_d12_gpx$hour.end[index]<- as.numeric(substring(egg.chicks.2015.2016_more.fa_d12_gpx$Time.c0[index], 2,2))
egg.chicks.2015.2016_more.fa_d12_gpx$min.end[index]<- as.numeric(substring(egg.chicks.2015.2016_more.fa_d12_gpx$Time.c0[index], 4,5))

egg.chicks.2015.2016_more.fa_d12_gpx$Time.c0.num <- egg.chicks.2015.2016_more.fa_d12_gpx$hour.end + egg.chicks.2015.2016_more.fa_d12_gpx$min.end/60

egg.chicks.2015.2016_more.fa_d12_gpx$PC1_corrected.year_scale<-scale(egg.chicks.2015.2016_more.fa_d12_gpx$PC1_corrected.year)
egg.chicks.2015.2016_more.fa_d12_gpx$PC2_corrected.year_scale<-scale(egg.chicks.2015.2016_more.fa_d12_gpx$PC2_corrected.year)
egg.chicks.2015.2016_more.fa_d12_gpx$PC3_corrected.year_scale<-scale(egg.chicks.2015.2016_more.fa_d12_gpx$PC3_corrected.year)
egg.chicks.2015.2016_more.fa_d12_gpx$Time.c0.num_scale<-scale(egg.chicks.2015.2016_more.fa_d12_gpx$Time.c0.num)
egg.chicks.2015.2016_more.fa_d12_gpx$Time.of.capture.num_scale<-scale(egg.chicks.2015.2016_more.fa_d12_gpx$Time.of.capture.num)
egg.chicks.2015.2016_more.fa_d12_gpx$Date.num_scale<-scale(egg.chicks.2015.2016_more.fa_d12_gpx$Date.num)
egg.chicks.2015.2016_more.fa_d12_gpx$Temp...time.capture_scale<-scale(egg.chicks.2015.2016_more.fa_d12_gpx$Temperature...time.capture)
egg.chicks.2015.2016_more.fa_d12_gpx$Clutch.size...each.age_scale<-scale(egg.chicks.2015.2016_more.fa_d12_gpx$Clutch.size...each.age)


## Model
gpx.pc_d12<-lmer(sqrt(GPX.t0) ~ PC1_corrected.year_scale + PC2_corrected.year_scale +
                   PC3_corrected.year_scale + Date.num_scale + 
                   (1|Nest_year.x), data=egg.chicks.2015.2016_more.fa_d12_gpx)
summary(gpx.pc_d12)


par(mfrow=c(2,2))
# fixed effects
scatter.smooth(fitted(gpx.pc_d12), resid(gpx.pc_d12));abline(h=0, lty=2)
title("Tukey-Anscombe Plot")

# 2 - QQ of residuals
qqnorm(resid(gpx.pc_d12))
qqline(resid(gpx.pc_d12))

# 3 - res.vari vs fitted
scatter.smooth(fitted(gpx.pc_d12), sqrt(abs(resid(gpx.pc_d12))))

# 4 random effects
qqnorm(ranef(gpx.pc_d12)$Nest_year.x[,1])
qqline(ranef(gpx.pc_d12)$Nest_year.x[,1])

nsim<-10000
bsim.gpx.pc_d12<-sim(gpx.pc_d12, n.sim=nsim)
apply(bsim.gpx.pc_d12@fixef, 2, mean) 
apply(bsim.gpx.pc_d12@fixef, 2, quantile, prob=c(0.025, 0.975))

# random factor - 1
round(quantile (apply(bsim.gpx.pc_d12@ranef$Nest_year.x[ , , 1],1,var), prob=c(0.025, 0.5, 0.975)),3)#median and 95%CI
round(mean(apply(bsim.gpx.pc_d12@ranef$Nest_year.x[ , , 1],1,var)),3) #in case you prefer to extract the mean, and not the median

# residual variance
round(as.vector(quantile(bsim.gpx.pc_d12@sigma^2, c(0.025, 0.5, 0.975))),3) #median and 95%CI
round(mean(bsim.gpx.pc_d12@sigma^2),3) #mean

### ### ######## EFFECT SIZES ######
# check the order of the variables
apply(bsim.gpx.pc_d12@fixef, 2, mean) 

# PC1_corrected.year
PC1_corrected.year_gpx.d12 <- bsim.gpx.pc_d12@fixef[,2] 

mean_PC1_corrected.year_gpx.d12 <- mean(PC1_corrected.year_gpx.d12) 
lower_PC1_corrected.year_gpx.d12 <- quantile(x =PC1_corrected.year_gpx.d12,prob=0.025) 
upper_PC1_corrected.year_gpx.d12 <- quantile(x = PC1_corrected.year_gpx.d12, prob=0.975) 

fila1_PC1_corrected.year_gpx.d12 <- c('PC1_corrected.year',mean_PC1_corrected.year_gpx.d12,
                       lower_PC1_corrected.year_gpx.d12,upper_PC1_corrected.year_gpx.d12) 


#  PC2_corrected.year
PC2_corrected.year_gpx.d12 <- bsim.gpx.pc_d12@fixef[,3] 

mean_PC2_corrected.year_gpx.d12 <- mean(PC2_corrected.year_gpx.d12) 
lower_PC2_corrected.year_gpx.d12 <- quantile(x =PC2_corrected.year_gpx.d12,prob=0.025) 
upper_PC2_corrected.year_gpx.d12 <- quantile(x = PC2_corrected.year_gpx.d12, prob=0.975) 

fila2_PC2_corrected.year_gpx.d12 <- c('PC2_corrected.year',mean_PC2_corrected.year_gpx.d12,
                       lower_PC2_corrected.year_gpx.d12,upper_PC2_corrected.year_gpx.d12) 


# PC3_corrected.year
PC3_corrected.year_gpx.d12 <- bsim.gpx.pc_d12@fixef[,4] 

mean_PC3_corrected.year_gpx.d12 <- mean(PC3_corrected.year_gpx.d12) 
lower_PC3_corrected.year_gpx.d12 <- quantile(x =PC3_corrected.year_gpx.d12,prob=0.025) 
upper_PC3_corrected.year_gpx.d12 <- quantile(x = PC3_corrected.year_gpx.d12, prob=0.975) 

fila3_PC3_corrected.year_gpx.d12 <- c('PC3_corrected.year',mean_PC3_corrected.year_gpx.d12,
                       lower_PC3_corrected.year_gpx.d12,upper_PC3_corrected.year_gpx.d12) 


effect.size_mean.pc_gpx.d12 <- as.data.frame(rbind(fila1_PC1_corrected.year_gpx.d12, fila2_PC2_corrected.year_gpx.d12, 
                                                   fila3_PC3_corrected.year_gpx.d12))

names(effect.size_mean.pc_gpx.d12) <- c('Period', 'mean','lower','upper')

effect.size_mean.pc_gpx.d12$mean <- as.character(effect.size_mean.pc_gpx.d12$mean) 

effect.size_mean.pc_gpx.d12$upper <- as.character(effect.size_mean.pc_gpx.d12$upper)

effect.size_mean.pc_gpx.d12$lower <- as.character(effect.size_mean.pc_gpx.d12$lower)

effect.size_mean.pc_gpx.d12$mean <- as.numeric(effect.size_mean.pc_gpx.d12$mean)

effect.size_mean.pc_gpx.d12$upper <- as.numeric(effect.size_mean.pc_gpx.d12$upper)

effect.size_mean.pc_gpx.d12$lower <- as.numeric(effect.size_mean.pc_gpx.d12$lower)

# diferences$ID <- paste(diferences$relation,diferences$call, sep=' ')


dodge <- position_dodge(width=0.8)

effect.size_mean.pc_gpx.d12_plot <- ggplot(data = effect.size_mean.pc_gpx.d12, aes(y=Period, x=mean,color=Period,shape=Period)) +   
  geom_vline(xintercept=0,color='grey69',size=1.8,linetype=3)+
  scale_color_manual(values=c('#FF9900', '#3399FF', '#FF6666', '#00CC66'))+
  geom_errorbarh(data = effect.size_mean.pc_gpx.d12,aes(xmax=upper, xmin=lower,color=Period),size=2, position=dodge)+
  geom_point(size=5,color='black',position=dodge) + 
  ylab('PCs')+
  xlab('GPX d12')+
  ggtitle('GPX d12') +   
  theme_classic() 


###################
##################

### Mass d 12 #####

unique(egg.chicks.2015.2016_more.fa_d12$Nest_year_clutch)
# 37 nests

unique(egg.chicks.2015.2016_more.fa_d12$Band.number)
# 160 chicks

####

egg.chicks.2015.2016_more.fa_d12$Clutch.size...each.age_scale<-scale(egg.chicks.2015.2016_more.fa_d12$Clutch.size...each.age)


# I will work with mass corrected by cz --> to have similar models at all ages
cz_mass_d12<-lm(Mass.y ~ Clutch.size...each.age, data=egg.chicks.2015.2016_more.fa_d12)
summary(cz_mass_d12)

plot(cz_mass_d12)

resid(cz_mass_d12)

cz_mass_d12_resid<-as.data.frame(resid(cz_mass_d12))

egg.chicks.2015.2016_more.fa_d12<-cbind(egg.chicks.2015.2016_more.fa_d12,
                                       cz_mass_d12_resid)
names(egg.chicks.2015.2016_more.fa_d12)

colnames(egg.chicks.2015.2016_more.fa_d12)[281] <- "cz_mass_d12_resid"

mass.pc_d12<-lmer(cz_mass_d12_resid ~ PC1_corrected.year_scale + PC2_corrected.year_scale + 
                    PC3_corrected.year_scale +
                    Date.num_scale +
                    (1|Nest_year.x), data=egg.chicks.2015.2016_more.fa_d12)
summary(mass.pc_d12)

par(mfrow=c(2,2))
# fixed effects
scatter.smooth(fitted(mass.pc_d12), resid(mass.pc_d12));abline(h=0, lty=2)
title("Tukey-Anscombe Plot")

# 2 - QQ of residuals
qqnorm(resid(mass.pc_d12))
qqline(resid(mass.pc_d12))

# 3 - res.vari vs fitted
scatter.smooth(fitted(mass.pc_d12), sqrt(abs(resid(mass.pc_d12))))

# 4 random effects
qqnorm(ranef(mass.pc_d12)$Nest_year.x[,1])
qqline(ranef(mass.pc_d12)$Nest_year.x[,1])


nsim<-10000
bsim.mass.pc_d12<-sim(mass.pc_d12, n.sim=nsim)
apply(bsim.mass.pc_d12@fixef, 2, mean) 
apply(bsim.mass.pc_d12@fixef, 2, quantile, prob=c(0.025, 0.975))

mean(bsim.mass.pc_d12@fixef[,2]<0) 

# random factor - 1
round(quantile (apply(bsim.mass.pc_d12@ranef$Nest_year.x[ , , 1],1,var), prob=c(0.025, 0.5, 0.975)),3)#median and 95%CI
round(mean(apply(bsim.mass.pc_d12@ranef$Nest_year.x[ , , 1],1,var)),3) #in case you prefer to extract the mean, and not the median

# residual variance
round(as.vector(quantile(bsim.mass.pc_d12@sigma^2, c(0.025, 0.5, 0.975))),3) #median and 95%CI
round(mean(bsim.mass.pc_d12@sigma^2),3) #mean

### ######## EFFECT SIZES ######
# check the order of the variables
apply(bsim.mass.pc_d12@fixef, 2, mean) 


# PC1_corrected.year
PC1_corrected.year_mass.d12 <- bsim.mass.pc_d12@fixef[,2] 

mean_PC1_corrected.year_mass.d12 <- mean(PC1_corrected.year_mass.d12) 
lower_PC1_corrected.year_mass.d12 <- quantile(x =PC1_corrected.year_mass.d12,prob=0.025) 
upper_PC1_corrected.year_mass.d12 <- quantile(x = PC1_corrected.year_mass.d12, prob=0.975) 

fila1_PC1_corrected.year_mass.d12 <- c('PC1_corrected.year',mean_PC1_corrected.year_mass.d12,
                                         lower_PC1_corrected.year_mass.d12,upper_PC1_corrected.year_mass.d12) 


# PC2_corrected.year
PC2_corrected.year_mass.d12 <- bsim.mass.pc_d12@fixef[,3] 

mean_PC2_corrected.year_mass.d12 <- mean(PC2_corrected.year_mass.d12) 
lower_PC2_corrected.year_mass.d12 <- quantile(x =PC2_corrected.year_mass.d12,prob=0.025) 
upper_PC2_corrected.year_mass.d12 <- quantile(x = PC2_corrected.year_mass.d12, prob=0.975) 

fila2_PC2_corrected.year_mass.d12 <- c('PC2_corrected.year',mean_PC2_corrected.year_mass.d12,
                                         lower_PC2_corrected.year_mass.d12,upper_PC2_corrected.year_mass.d12) 


# PC3_corrected.year
PC3_corrected.year_mass.d12 <- bsim.mass.pc_d12@fixef[,4] 

mean_PC3_corrected.year_mass.d12 <- mean(PC3_corrected.year_mass.d12) 
lower_PC3_corrected.year_mass.d12 <- quantile(x =PC3_corrected.year_mass.d12,prob=0.025) 
upper_PC3_corrected.year_mass.d12 <- quantile(x = PC3_corrected.year_mass.d12, prob=0.975) 

fila3_PC3_corrected.year_mass.d12 <- c('PC3_corrected.year',mean_PC3_corrected.year_mass.d12,
                                         lower_PC3_corrected.year_mass.d12,upper_PC3_corrected.year_mass.d12) 


effect.size_mean.pc_mass.d12 <- as.data.frame(rbind(fila1_PC1_corrected.year_mass.d12, fila2_PC2_corrected.year_mass.d12, 
                                                      fila3_PC3_corrected.year_mass.d12))

names(effect.size_mean.pc_mass.d12) <- c('Period', 'mean','lower','upper')

effect.size_mean.pc_mass.d12$mean <- as.character(effect.size_mean.pc_mass.d12$mean) 

effect.size_mean.pc_mass.d12$upper <- as.character(effect.size_mean.pc_mass.d12$upper)

effect.size_mean.pc_mass.d12$lower <- as.character(effect.size_mean.pc_mass.d12$lower)

effect.size_mean.pc_mass.d12$mean <- as.numeric(effect.size_mean.pc_mass.d12$mean)

effect.size_mean.pc_mass.d12$upper <- as.numeric(effect.size_mean.pc_mass.d12$upper)

effect.size_mean.pc_mass.d12$lower <- as.numeric(effect.size_mean.pc_mass.d12$lower)

# diferences$ID <- paste(diferences$relation,diferences$call, sep=' ')


dodge <- position_dodge(width=0.8)

effect.size_mean.pc_mass.d12_plot <- ggplot(data = effect.size_mean.pc_mass.d12, aes(y=Period, x=mean,color=Period,shape=Period)) +   
  geom_vline(xintercept=0,color='grey69',size=1.8,linetype=3)+
  scale_color_manual(values=c('#FF9900', '#3399FF', '#FF6666', '#00CC66'))+
  geom_errorbarh(data = effect.size_mean.pc_mass.d12,aes(xmax=upper, xmin=lower,color=Period),size=2, position=dodge)+
  geom_point(size=5,color='black',position=dodge) + 
  ylab('PCs')+
  xlab('mass d12')+
  ggtitle('mass d12') +   
  theme_classic() 


#########################################################
################## Tarsus ###########################
# I will work with tarsus corrected by cz --> to have similar models at all ages
cz_tarsus_d12<-lm(Tarsus.y ~ Clutch.size...each.age, data=egg.chicks.2015.2016_more.fa_d12)
summary(cz_mass_d12)

plot(cz_tarsus_d12)

resid(cz_tarsus_d12)

cz_tarsus_d12_resid<-as.data.frame(resid(cz_tarsus_d12))


egg.chicks.2015.2016_more.fa_d12<-cbind(egg.chicks.2015.2016_more.fa_d12,
                                        cz_tarsus_d12_resid)
names(egg.chicks.2015.2016_more.fa_d12)

colnames(egg.chicks.2015.2016_more.fa_d12)[282] <- "cz_tarsus_d12_resid"



tarsus.pc_d12<-lmer(cz_tarsus_d12_resid ~ PC1_corrected.year_scale + PC2_corrected.year_scale + 
                      PC3_corrected.year_scale +
                      Date.num_scale+
                      (1|Nest_year.x), data=egg.chicks.2015.2016_more.fa_d12)
summary(tarsus.pc_d12)

par(mfrow=c(2,2))
# fixed effects
scatter.smooth(fitted(tarsus.pc_d12), resid(tarsus.pc_d12));abline(h=0, lty=2)
title("Tukey-Anscombe Plot")

# 2 - QQ of residuals
qqnorm(resid(tarsus.pc_d12))
qqline(resid(tarsus.pc_d12))

# 3 - res.vari vs fitted
scatter.smooth(fitted(tarsus.pc_d12), sqrt(abs(resid(tarsus.pc_d12))))

# 4 random effects
qqnorm(ranef(tarsus.pc_d12)$Nest_year.x[,1])
qqline(ranef(tarsus.pc_d12)$Nest_year.x[,1])

nsim<-10000
bsim.tarsus.pc_d12<-sim(tarsus.pc_d12, n.sim=nsim)
apply(bsim.tarsus.pc_d12@fixef, 2, mean) 
apply(bsim.tarsus.pc_d12@fixef, 2, quantile, prob=c(0.025, 0.975))

# random factor - 1
round(quantile (apply(bsim.tarsus.pc_d12@ranef$Nest_year.x[ , , 1],1,var), prob=c(0.025, 0.5, 0.975)),3)#median and 95%CI
round(mean(apply(bsim.tarsus.pc_d12@ranef$Nest_year.x[ , , 1],1,var)),3) #in case you prefer to extract the mean, and not the median

# residual variance
round(as.vector(quantile(bsim.tarsus.pc_d12@sigma^2, c(0.025, 0.5, 0.975))),3) #median and 95%CI
round(mean(bsim.tarsus.pc_d12@sigma^2),3) #mean

### ######## EFFECT SIZES ######
apply(bsim.tarsus.pc_d12@fixef, 2, mean) 

# PC1_corrected.year
PC1_corrected.year_tarsus.d12 <- bsim.tarsus.pc_d12@fixef[,2] 

mean_PC1_corrected.year_tarsus.d12 <- mean(PC1_corrected.year_tarsus.d12) 
lower_PC1_corrected.year_tarsus.d12 <- quantile(x =PC1_corrected.year_tarsus.d12,prob=0.025) 
upper_PC1_corrected.year_tarsus.d12 <- quantile(x = PC1_corrected.year_tarsus.d12, prob=0.975) 

fila1_PC1_corrected.year_tarsus.d12 <- c('PC1_corrected.year',mean_PC1_corrected.year_tarsus.d12,
                                     lower_PC1_corrected.year_tarsus.d12,upper_PC1_corrected.year_tarsus.d12) 


# PC2_corrected.year
PC2_corrected.year_tarsus.d12 <- bsim.tarsus.pc_d12@fixef[,3] 

mean_PC2_corrected.year_tarsus.d12 <- mean(PC2_corrected.year_tarsus.d12) 
lower_PC2_corrected.year_tarsus.d12 <- quantile(x =PC2_corrected.year_tarsus.d12,prob=0.025) 
upper_PC2_corrected.year_tarsus.d12 <- quantile(x = PC2_corrected.year_tarsus.d12, prob=0.975) 

fila2_PC2_corrected.year_tarsus.d12 <- c('PC2_corrected.year',mean_PC2_corrected.year_tarsus.d12,
                                     lower_PC2_corrected.year_tarsus.d12,upper_PC2_corrected.year_tarsus.d12) 


# PC3_corrected.year
PC3_corrected.year_tarsus.d12 <- bsim.tarsus.pc_d12@fixef[,4] 

mean_PC3_corrected.year_tarsus.d12 <- mean(PC3_corrected.year_tarsus.d12) 
lower_PC3_corrected.year_tarsus.d12 <- quantile(x =PC3_corrected.year_tarsus.d12,prob=0.025) 
upper_PC3_corrected.year_tarsus.d12 <- quantile(x = PC3_corrected.year_tarsus.d12, prob=0.975) 

fila3_PC3_corrected.year_tarsus.d12 <- c('PC3_corrected.year',mean_PC3_corrected.year_tarsus.d12,
                                     lower_PC3_corrected.year_tarsus.d12,upper_PC3_corrected.year_tarsus.d12) 


effect.size_mean.pc_tarsus.d12 <- as.data.frame(rbind(fila1_PC1_corrected.year_tarsus.d12, fila2_PC2_corrected.year_tarsus.d12, 
                                                  fila3_PC3_corrected.year_tarsus.d12))

names(effect.size_mean.pc_tarsus.d12) <- c('Period', 'mean','lower','upper')

effect.size_mean.pc_tarsus.d12$mean <- as.character(effect.size_mean.pc_tarsus.d12$mean) 

effect.size_mean.pc_tarsus.d12$upper <- as.character(effect.size_mean.pc_tarsus.d12$upper)

effect.size_mean.pc_tarsus.d12$lower <- as.character(effect.size_mean.pc_tarsus.d12$lower)

effect.size_mean.pc_tarsus.d12$mean <- as.numeric(effect.size_mean.pc_tarsus.d12$mean)

effect.size_mean.pc_tarsus.d12$upper <- as.numeric(effect.size_mean.pc_tarsus.d12$upper)

effect.size_mean.pc_tarsus.d12$lower <- as.numeric(effect.size_mean.pc_tarsus.d12$lower)

# diferences$ID <- paste(diferences$relation,diferences$call, sep=' ')


dodge <- position_dodge(width=0.8)

effect.size_mean.pc_tarsus.d12_plot <- ggplot(data = effect.size_mean.pc_tarsus.d12, aes(y=Period, x=mean,color=Period,shape=Period)) +   
  geom_vline(xintercept=0,color='grey69',size=1.8,linetype=3)+
  scale_color_manual(values=c('#FF9900', '#3399FF', '#FF6666', '#00CC66'))+
  geom_errorbarh(data = effect.size_mean.pc_tarsus.d12,aes(xmax=upper, xmin=lower,color=Period),size=2, position=dodge)+
  geom_point(size=5,color='black',position=dodge) + 
  ylab('PCs')+
  xlab('Tarsus d12')+
  ggtitle('Tarsus d12') +   
  theme_classic() 
#######
######
#######

################################################################################################
########################################## EFFECT SIZE ########################################
######################################## one plot for all variables ########################################


# clutch number - pc1
# calculo la media y los CrI
# OXY
pc1_oxy.d12_mean <- quantile(bsim.oxy.pc_d12@fixef[,2],prob=c(0.5)) 
pc1_oxy.d12_cri_low <- quantile(bsim.oxy.pc_d12@fixef[,2],prob=c(0.025)) 
pc1_oxy.d12_cri_high <- quantile(bsim.oxy.pc_d12@fixef[,2],prob=c(0.975)) 

# pc2
pc2_oxy.d12_mean <- quantile(bsim.oxy.pc_d12@fixef[,3],prob=c(0.5)) 
pc2_oxy.d12_cri_low <- quantile(bsim.oxy.pc_d12@fixef[,3],prob=c(0.025)) 
pc2_oxy.d12_cri_high <- quantile(bsim.oxy.pc_d12@fixef[,3],prob=c(0.975))

# pc3
pc3_oxy.d12_mean <- quantile(bsim.oxy.pc_d12@fixef[,4],prob=c(0.5)) 
pc3_oxy.d12_cri_low <- quantile(bsim.oxy.pc_d12@fixef[,4],prob=c(0.025)) 
pc3_oxy.d12_cri_high <- quantile(bsim.oxy.pc_d12@fixef[,4],prob=c(0.975))


# GPX
pc1_gpx.d12_mean <- quantile(bsim.gpx.pc_d12@fixef[,2],prob=c(0.5)) 
pc1_gpx.d12_cri_low <- quantile(bsim.gpx.pc_d12@fixef[,2],prob=c(0.025)) 
pc1_gpx.d12_cri_high <- quantile(bsim.gpx.pc_d12@fixef[,2],prob=c(0.975)) 

# pc2
pc2_gpx.d12_mean <- quantile(bsim.gpx.pc_d12@fixef[,3],prob=c(0.5)) 
pc2_gpx.d12_cri_low <- quantile(bsim.gpx.pc_d12@fixef[,3],prob=c(0.025)) 
pc2_gpx.d12_cri_high <- quantile(bsim.gpx.pc_d12@fixef[,3],prob=c(0.975))

# pc3
pc3_gpx.d12_mean <- quantile(bsim.gpx.pc_d12@fixef[,4],prob=c(0.5)) 
pc3_gpx.d12_cri_low <- quantile(bsim.gpx.pc_d12@fixef[,4],prob=c(0.025)) 
pc3_gpx.d12_cri_high <- quantile(bsim.gpx.pc_d12@fixef[,4],prob=c(0.975))


# ROMs
pc1_roms.d12_mean <- quantile(bsim.roms.pc@fixef[,2],prob=c(0.5)) 
pc1_roms.d12_cri_low <- quantile(bsim.roms.pc@fixef[,2],prob=c(0.025)) 
pc1_roms.d12_cri_high <- quantile(bsim.roms.pc@fixef[,2],prob=c(0.975)) 

# pc2
pc2_roms.d12_mean <- quantile(bsim.roms.pc@fixef[,3],prob=c(0.5)) 
pc2_roms.d12_cri_low <- quantile(bsim.roms.pc@fixef[,3],prob=c(0.025)) 
pc2_roms.d12_cri_high <- quantile(bsim.roms.pc@fixef[,3],prob=c(0.975))

# pc3
pc3_roms.d12_mean <- quantile(bsim.roms.pc@fixef[,4],prob=c(0.5)) 
pc3_roms.d12_cri_low <- quantile(bsim.roms.pc@fixef[,4],prob=c(0.025)) 
pc3_roms.d12_cri_high <- quantile(bsim.roms.pc@fixef[,4],prob=c(0.975))


# d12 - mass
pc1_mass.d12_mean <- quantile(bsim.mass.pc_d12@fixef[,2],prob=c(0.5)) 
pc1_mass.d12_cri_low <- quantile(bsim.mass.pc_d12@fixef[,2],prob=c(0.025)) 
pc1_mass.d12_cri_high <- quantile(bsim.mass.pc_d12@fixef[,2],prob=c(0.975)) 

# pc2
pc2_mass.d12_mean <- quantile(bsim.mass.pc_d12@fixef[,3],prob=c(0.5)) 
pc2_mass.d12_cri_low <- quantile(bsim.mass.pc_d12@fixef[,3],prob=c(0.025)) 
pc2_mass.d12_cri_high <- quantile(bsim.mass.pc_d12@fixef[,3],prob=c(0.975))

# pc3
pc3_mass.d12_mean <- quantile(bsim.mass.pc_d12@fixef[,4],prob=c(0.5)) 
pc3_mass.d12_cri_low <- quantile(bsim.mass.pc_d12@fixef[,4],prob=c(0.025)) 
pc3_mass.d12_cri_high <- quantile(bsim.mass.pc_d12@fixef[,4],prob=c(0.975))



# d12 - tarsus
pc1_tarsus.d12_mean <- quantile(bsim.tarsus.pc_d12@fixef[,2],prob=c(0.5)) 
pc1_tarsus.d12_cri_low <- quantile(bsim.tarsus.pc_d12@fixef[,2],prob=c(0.025)) 
pc1_tarsus.d12_cri_high <- quantile(bsim.tarsus.pc_d12@fixef[,2],prob=c(0.975)) 

# pc2
pc2_tarsus.d12_mean <- quantile(bsim.tarsus.pc_d12@fixef[,3],prob=c(0.5)) 
pc2_tarsus.d12_cri_low <- quantile(bsim.tarsus.pc_d12@fixef[,3],prob=c(0.025)) 
pc2_tarsus.d12_cri_high <- quantile(bsim.tarsus.pc_d12@fixef[,3],prob=c(0.975))

# pc3
pc3_tarsus.d12_mean <- quantile(bsim.tarsus.pc_d12@fixef[,4],prob=c(0.5)) 
pc3_tarsus.d12_cri_low <- quantile(bsim.tarsus.pc_d12@fixef[,4],prob=c(0.025)) 
pc3_tarsus.d12_cri_high <- quantile(bsim.tarsus.pc_d12@fixef[,4],prob=c(0.975))


# growth rate
pc1_growth.rate.d12_mean <- quantile(bsim.growth.rate.pc_d12@fixef[,2],prob=c(0.5)) 
pc1_growth.rate.d12_cri_low <- quantile(bsim.growth.rate.pc_d12@fixef[,2],prob=c(0.025)) 
pc1_growth.rate.d12_cri_high <- quantile(bsim.growth.rate.pc_d12@fixef[,2],prob=c(0.975)) 

# pc2
pc2_growth.rate.d12_mean <- quantile(bsim.growth.rate.pc_d12@fixef[,3],prob=c(0.5)) 
pc2_growth.rate.d12_cri_low <- quantile(bsim.growth.rate.pc_d12@fixef[,3],prob=c(0.025)) 
pc2_growth.rate.d12_cri_high <- quantile(bsim.growth.rate.pc_d12@fixef[,3],prob=c(0.975))


# pc3
pc3_growth.rate.d12_mean <- quantile(bsim.growth.rate.pc_d12@fixef[,4],prob=c(0.5)) 
pc3_growth.rate.d12_cri_low <- quantile(bsim.growth.rate.pc_d12@fixef[,4],prob=c(0.025)) 
pc3_growth.rate.d12_cri_high <- quantile(bsim.growth.rate.pc_d12@fixef[,4],prob=c(0.975))



### Now, the plot
#data_frame is no longer a command --> it's depracted
# the bottom trait is clutch size if I write it first. I prefer to have it the other way around
pc1_plot.effect.size_physio.traits_d12 <- tibble(Traits = c("Growth rate","Tarsus", 
                                                      "Mass", "ROMs", 
                                                      "GPX", "OXY"),
                                           Estimate = c(pc1_growth.rate.d12_mean,
                                                        pc1_tarsus.d12_mean,
                                                        pc1_mass.d12_mean,
                                                        pc1_roms.d12_mean,
                                                        pc1_gpx.d12_mean,
                                                        pc1_oxy.d12_mean), 
                                           Lower = c(pc1_growth.rate.d12_cri_low,
                                                     pc1_tarsus.d12_cri_low,
                                                     pc1_mass.d12_cri_low,
                                                     pc1_roms.d12_cri_low,
                                                     pc1_gpx.d12_cri_low,
                                                     pc1_oxy.d12_cri_low),
                                           Upper = c(pc1_growth.rate.d12_cri_high,
                                                     pc1_tarsus.d12_cri_high,
                                                     pc1_mass.d12_cri_high,
                                                     pc1_roms.d12_cri_high,
                                                     pc1_gpx.d12_cri_high,
                                                     pc1_oxy.d12_cri_high))

# don't know why but x is y, and y is x
ggplot.effect.size_pc1_clutch.size<-ggplot(pc1_plot.effect.size_physio.traits_d12, aes(x = Traits, y = Estimate)) +
  geom_pointrange(aes(ymin = Lower,
                      ymax = Upper)) +
  geom_hline(yintercept = 0,
             linetype = "dotted",
             alpha = 1) +
  scale_x_discrete(limits = c("Growth rate","Tarsus", 
                              "Mass", "ROMs", 
                               "GPX", "OXY")) +
  labs(x = "Physiological traits d12 (PC1)",
       y = "Standarized effect size") +
  ylim(-1,1) +
  coord_flip() +
  theme_classic()



###
## PC2
#data_frame is no longer a command --> it's depracted
# the bottom trait is clutch size if I write it first. I prefer to have it the other way around
pc2_plot.effect.size_physio.traits_d12 <- tibble(Traits = c("Growth rate","Tarsus", 
                                                            "Mass", "ROMs", 
                                                            "GPX", "OXY"),
                                                 Estimate = c(pc2_growth.rate.d12_mean,
                                                              pc2_tarsus.d12_mean,
                                                              pc2_mass.d12_mean,
                                                              pc2_roms.d12_mean,
                                                              pc2_gpx.d12_mean,
                                                              pc2_oxy.d12_mean), 
                                                 Lower = c(pc2_growth.rate.d12_cri_low,
                                                           pc2_tarsus.d12_cri_low,
                                                           pc2_mass.d12_cri_low,
                                                           pc2_roms.d12_cri_low,
                                                           pc2_gpx.d12_cri_low,
                                                           pc2_oxy.d12_cri_low),
                                                 Upper = c(pc2_growth.rate.d12_cri_high,
                                                           pc2_tarsus.d12_cri_high,
                                                           pc2_mass.d12_cri_high,
                                                           pc2_roms.d12_cri_high,
                                                           pc2_gpx.d12_cri_high,
                                                           pc2_oxy.d12_cri_high))

# don't know why but x is y, and y is x
ggplot.effect.size_pc2_clutch.size<-ggplot(pc2_plot.effect.size_physio.traits_d12, aes(x = Traits, y = Estimate)) +
  geom_pointrange(aes(ymin = Lower,
                      ymax = Upper)) +
  geom_hline(yintercept = 0,
             linetype = "dotted",
             alpha = 1) +
  scale_x_discrete(limits = c("Growth rate","Tarsus", 
                              "Mass", "ROMs", 
                              "GPX", "OXY")) +
  labs(x = "Physiological traits d12 (pc2)",
       y = "Standarized effect size") +
  ylim(-1,1) +
  coord_flip() +
  theme_classic()



##
#PC3
pc3_plot.effect.size_physio.traits_d12 <- tibble(Traits = c("Growth rate","Tarsus", 
                                                            "Mass", "ROMs", 
                                                            "GPX", "OXY"),
                                                 Estimate = c(pc3_growth.rate.d12_mean,
                                                              pc3_tarsus.d12_mean,
                                                              pc3_mass.d12_mean,
                                                              pc3_roms.d12_mean,
                                                              pc3_gpx.d12_mean,
                                                              pc3_oxy.d12_mean), 
                                                 Lower = c(pc3_growth.rate.d12_cri_low,
                                                           pc3_tarsus.d12_cri_low,
                                                           pc3_mass.d12_cri_low,
                                                           pc3_roms.d12_cri_low,
                                                           pc3_gpx.d12_cri_low,
                                                           pc3_oxy.d12_cri_low),
                                                 Upper = c(pc3_growth.rate.d12_cri_high,
                                                           pc3_tarsus.d12_cri_high,
                                                           pc3_mass.d12_cri_high,
                                                           pc3_roms.d12_cri_high,
                                                           pc3_gpx.d12_cri_high,
                                                           pc3_oxy.d12_cri_high))

# don't know why but x is y, and y is x
ggplot.effect.size_pc3_clutch.size<-ggplot(pc3_plot.effect.size_physio.traits_d12, aes(x = Traits, y = Estimate)) +
  geom_pointrange(aes(ymin = Lower,
                      ymax = Upper)) +
  geom_hline(yintercept = 0,
             linetype = "dotted",
             alpha = 1) +
  scale_x_discrete(limits = c("Growth rate","Tarsus", 
                              "Mass", "ROMs", 
                              "GPX", "OXY")) +
  labs(x = "Physiological traits d12 (pc3)",
       y = "Standarized effect size") +
  ylim(-1,1) +
  coord_flip() +
  theme_classic()




#########################################
########################################
#########################################

####################################################################################################
##########################################################################################
########## ------- GROWTH RATE AND YOLK COMPONENTS ----------------------- ################

# First, i create a column with unique info about each chick
egg.chicks.2015.2016_more.fa_d1$Band.number_nest_year_clutch<-paste(egg.chicks.2015.2016_more.fa_d1$Band.number, 
                                                                    egg.chicks.2015.2016_more.fa_d1$Nest_year_clutch, 
                                                                    sep="_")

egg.chicks.2015.2016_more.fa_d15$Band.number_nest_year_clutch<-paste(egg.chicks.2015.2016_more.fa_d15$Band.number, 
                                                                     egg.chicks.2015.2016_more.fa_d15$Nest_year_clutch, 
                                                                     sep="_")

egg.chicks.2015.2016_more.fa$Band.number_nest_year_clutch<-paste(egg.chicks.2015.2016_more.fa$Band.number, 
                                                                 egg.chicks.2015.2016_more.fa$Nest_year_clutch, 
                                                                 sep="_")

chicks.d1.d15<-which(egg.chicks.2015.2016_more.fa_d15$Band.number_nest_year_clutch%in%egg.chicks.2015.2016_more.fa_d1$Band.number_nest_year_clutch)

chicks.d1.d15<-egg.chicks.2015.2016_more.fa_d15$Band.number_nest_year_clutch[which(egg.chicks.2015.2016_more.fa_d15$Band.number_nest_year_clutch%in%egg.chicks.2015.2016_more.fa_d1$Band.number_nest_year_clutch)]

chicks.d1.d15_ok<-which(egg.chicks.2015.2016_more.fa$Band.number_nest_year_clutch%in%chicks.d1.d15)

chicks.d1.d15_general<-egg.chicks.2015.2016_more.fa[chicks.d1.d15_ok,]

chicks.d1.d15_general

chicks.d1.d15_only<-droplevels(subset(chicks.d1.d15_general, 
                                      chicks.d1.d15_general$age.class=="(0,3]"|
                                        chicks.d1.d15_general$age.class=="(14,20]"))
head(chicks.d1.d15_only)


# I calculate growth rate
chicks.d1.d15_only$Band.number_nest_year_clutch<-as.factor(chicks.d1.d15_only$Band.number_nest_year_clutch)

ind.dat<-data.frame(Band.number_nest_year_clutch=levels(chicks.d1.d15_only$Band.number_nest_year_clutch))
str(ind.dat)

# I define in i which is the initial band.number I work with
# I write i = 1 --> needs to be a number

# Mass
for(i in 1:nrow(ind.dat)){
  index<-chicks.d1.d15_only$Band.number_nest_year_clutch==ind.dat$Band.number_nest_year_clutch[i]
  mass.15<-chicks.d1.d15_only$Mass.y[index&chicks.d1.d15_only$age.class=="(14,20]"]
  d15<-chicks.d1.d15_only$Age.young[index&chicks.d1.d15_only$age.class=="(14,20]"]
  mass.1<-chicks.d1.d15_only$Mass.y[index&chicks.d1.d15_only$age.class=="(0,3]"]
  d1<-chicks.d1.d15_only$Age.young[index&chicks.d1.d15_only$age.class=="(0,3]"]
  day.sustrac<-d15-d1
  ind.dat$growth.rate_mass[i]<-(mass.15-mass.1)/day.sustrac
  print(i)
}

chicks.d1.d15_growth.rate<-merge(chicks.d1.d15_only, ind.dat, by="Band.number_nest_year_clutch")
head(chicks.d1.d15_growth.rate)

chicks.d1.d15_growth.rate$growth.rate_mass
length(chicks.d1.d15_growth.rate$growth.rate_mass)

########### ---------------------- GROWTH RATE AND PC -------------------------  #################

chicks.d1.d15_growth.rate_only.once<-droplevels(subset(chicks.d1.d15_growth.rate, 
                                                       chicks.d1.d15_growth.rate$age.class=='(14,20]'))
chicks.d1.d15_growth.rate_only.once$age.class # good

chicks.d1.d15_growth.rate_only.once$PC1_corrected.year_scale<-scale(chicks.d1.d15_growth.rate_only.once$PC1_corrected.year)
chicks.d1.d15_growth.rate_only.once$PC2_corrected.year_scale<-scale(chicks.d1.d15_growth.rate_only.once$PC2_corrected.year)
chicks.d1.d15_growth.rate_only.once$PC3_corrected.year_scale<-scale(chicks.d1.d15_growth.rate_only.once$PC3_corrected.year)
chicks.d1.d15_growth.rate_only.once$Date.num_scale<-scale(chicks.d1.d15_growth.rate_only.once$Date.num)

# I would like to check whether mean temp or rain has any effect on growht rate.
chicks.d1.d15_growth.rate_only.once$Mean.rainfall.nestling.period_scale<-scale(chicks.d1.d15_growth.rate_only.once$Mean.rainfall.nestling.period)
chicks.d1.d15_growth.rate_only.once$Mean.temp.nestling.period_scale<-scale(chicks.d1.d15_growth.rate_only.once$Mean.temp.nestling.period)

# and clutch size --> since we know it affects mass
chicks.d1.d15_growth.rate_only.once$Clutch.size...each.age_scale<-scale(chicks.d1.d15_growth.rate_only.once$Clutch.size...each.age)


# oK. Now I run the model:
growth.rate.pc<-lmer(growth.rate_mass ~ PC1_corrected.year_scale + PC2_corrected.year_scale + 
                       PC3_corrected.year_scale + 
                       Date.num_scale + Clutch.size...each.age_scale + (1|Nest_year.x), 
                     data=chicks.d1.d15_growth.rate_only.once)
summary(growth.rate.pc)


par(mfrow=c(2,2))
# fixed effects
scatter.smooth(fitted(growth.rate.pc), resid(growth.rate.pc));abline(h=0, lty=2)
title("Tukey-Anscombe Plot")

# 2 - QQ of residuals
qqnorm(resid(growth.rate.pc))
qqline(resid(growth.rate.pc))

# 3 - res.vari vs fitted
scatter.smooth(fitted(growth.rate.pc), sqrt(abs(resid(growth.rate.pc))))

# 4 random effects
qqnorm(ranef(growth.rate.pc)$Nest_year.x[,1])
qqline(ranef(growth.rate.pc)$Nest_year.x[,1])


nsim<-10000
bsim.growth.rate.pc<-sim(growth.rate.pc, n.sim=nsim)
apply(bsim.growth.rate.pc@fixef, 2, mean) 
apply(bsim.growth.rate.pc@fixef, 2, quantile, prob=c(0.025, 0.975))


### Effect size
# check the order of the variables
apply(bsim.growth.rate.pc@fixef, 2, mean) 

# PC1_corrected.year
PC1_corrected.year_growth.rate.pc <- bsim.growth.rate.pc@fixef[,2] 

mean_PC1_corrected.year_growth.rate.pc <- mean(PC1_corrected.year_growth.rate.pc) 
lower_PC1_corrected.year_growth.rate.pc <- quantile(x =PC1_corrected.year_growth.rate.pc,prob=0.025) 
upper_PC1_corrected.year_growth.rate.pc <- quantile(x = PC1_corrected.year_growth.rate.pc, prob=0.975) 

fila1_PC1_corrected.year_growth.rate.pc <- c('PC1_corrected.year',mean_PC1_corrected.year_growth.rate.pc,
                              lower_PC1_corrected.year_growth.rate.pc,upper_PC1_corrected.year_growth.rate.pc) 


#  PC2_corrected.year
PC2_corrected.year_growth.rate.pc <- bsim.growth.rate.pc@fixef[,3] 

mean_PC2_corrected.year_growth.rate.pc <- mean(PC2_corrected.year_growth.rate.pc) 
lower_PC2_corrected.year_growth.rate.pc <- quantile(x =PC2_corrected.year_growth.rate.pc,prob=0.025) 
upper_PC2_corrected.year_growth.rate.pc <- quantile(x = PC2_corrected.year_growth.rate.pc, prob=0.975) 

fila2_PC2_corrected.year_growth.rate.pc <- c('PC2_corrected.year',mean_PC2_corrected.year_growth.rate.pc,
                              lower_PC2_corrected.year_growth.rate.pc,upper_PC2_corrected.year_growth.rate.pc) 


# PC3_corrected.year
PC3_corrected.year_growth.rate.pc <- bsim.growth.rate.pc@fixef[,4] 

mean_PC3_corrected.year_growth.rate.pc <- mean(PC3_corrected.year_growth.rate.pc) 
lower_PC3_corrected.year_growth.rate.pc <- quantile(x =PC3_corrected.year_growth.rate.pc,prob=0.025) 
upper_PC3_corrected.year_growth.rate.pc <- quantile(x = PC3_corrected.year_growth.rate.pc, prob=0.975) 

fila3_PC3_corrected.year_growth.rate.pc <- c('PC3_corrected.year',mean_PC3_corrected.year_growth.rate.pc,
                              lower_PC3_corrected.year_growth.rate.pc,upper_PC3_corrected.year_growth.rate.pc) 


effect.size_mean.pc_growth.rate.pc <- as.data.frame(rbind(fila1_PC1_corrected.year_growth.rate.pc, fila2_PC2_corrected.year_growth.rate.pc, 
                                                          fila3_PC3_corrected.year_growth.rate.pc))

names(effect.size_mean.pc_growth.rate.pc) <- c('Period', 'mean','lower','upper')

effect.size_mean.pc_growth.rate.pc$mean <- as.character(effect.size_mean.pc_growth.rate.pc$mean) 

effect.size_mean.pc_growth.rate.pc$upper <- as.character(effect.size_mean.pc_growth.rate.pc$upper)

effect.size_mean.pc_growth.rate.pc$lower <- as.character(effect.size_mean.pc_growth.rate.pc$lower)

effect.size_mean.pc_growth.rate.pc$mean <- as.numeric(effect.size_mean.pc_growth.rate.pc$mean)

effect.size_mean.pc_growth.rate.pc$upper <- as.numeric(effect.size_mean.pc_growth.rate.pc$upper)

effect.size_mean.pc_growth.rate.pc$lower <- as.numeric(effect.size_mean.pc_growth.rate.pc$lower)

# diferences$ID <- paste(diferences$relation,diferences$call, sep=' ')


dodge <- position_dodge(width=0.8)

effect.size_mean.pc_growth.rate.pc_plot <- ggplot(data = effect.size_mean.pc_growth.rate.pc, aes(y=Period, x=mean,color=Period,shape=Period)) +   
  geom_vline(xintercept=0,color='grey69',size=1.8,linetype=3)+
  scale_color_manual(values=c('#FF9900', '#3399FF', '#FF6666', '#00CC66'))+
  geom_errorbarh(data = effect.size_mean.pc_growth.rate.pc,aes(xmax=upper, xmin=lower,color=Period),size=2, position=dodge)+
  geom_point(size=5,color='black',position=dodge) + 
  ylab('PCs')+
  xlab('Growth rate d1 - d15')+
  ggtitle('Growth rate d1 - d15') +   
  theme_classic() 




################## 


####################################################################################################
################################ d1 - d6  ####################################################
######################## EARLY GROWTH #################################

egg.chicks.2015.2016_more.fa_d6$Band.number_nest_year_clutch<-paste(egg.chicks.2015.2016_more.fa_d6$Band.number, 
                                                                    egg.chicks.2015.2016_more.fa_d6$Nest_year_clutch, 
                                                                    sep="_")


# I need to check which individuals where present on both days (d1 and d6)
chicks.d1.d6<-which(egg.chicks.2015.2016_more.fa_d6$Band.number_nest_year_clutch%in%egg.chicks.2015.2016_more.fa_d1$Band.number_nest_year_clutch)

chicks.d1.d6<-egg.chicks.2015.2016_more.fa_d6$Band.number_nest_year_clutch[which(egg.chicks.2015.2016_more.fa_d6$Band.number_nest_year_clutch%in%egg.chicks.2015.2016_more.fa_d1$Band.number_nest_year_clutch)]

chicks.d1.d6_ok<-which(egg.chicks.2015.2016_more.fa$Band.number_nest_year_clutch%in%chicks.d1.d6)

chicks.d1.d6_general<-egg.chicks.2015.2016_more.fa[chicks.d1.d6_ok,]

chicks.d1.d6_general

chicks.d1.d6_only<-droplevels(subset(chicks.d1.d6_general, 
                                     chicks.d1.d6_general$age.class=="(0,3]"|
                                       chicks.d1.d6_general$age.class=="(3,9]"))
head(chicks.d1.d6_only)


# I calculate growth rate
chicks.d1.d6_only$Band.number_nest_year_clutch<-as.factor(chicks.d1.d6_only$Band.number_nest_year_clutch)

ind.dat<-data.frame(Band.number_nest_year_clutch=levels(chicks.d1.d6_only$Band.number_nest_year_clutch))
str(ind.dat)

# Mass
for(i in 1:nrow(ind.dat)){
  index<-chicks.d1.d6_only$Band.number_nest_year_clutch==ind.dat$Band.number_nest_year_clutch[i]
  mass.6<-chicks.d1.d6_only$Mass.y[index&chicks.d1.d6_only$age.class=="(3,9]"]
  d6<-chicks.d1.d6_only$Age.young[index&chicks.d1.d6_only$age.class=="(3,9]"]
  mass.1<-chicks.d1.d6_only$Mass.y[index&chicks.d1.d6_only$age.class=="(0,3]"]
  d1<-chicks.d1.d6_only$Age.young[index&chicks.d1.d6_only$age.class=="(0,3]"]
  day.sustrac<-d6-d1
  ind.dat$growth.rate_mass[i]<-(mass.6-mass.1)/day.sustrac
  print(i)
}

chicks.d1.d6_growth.rate<-merge(chicks.d1.d6_only, ind.dat, by="Band.number_nest_year_clutch")
head(chicks.d1.d6_growth.rate)

chicks.d1.d6_growth.rate$growth.rate_mass
length(chicks.d1.d6_growth.rate$growth.rate_mass)

########### ---------------------- GROWTH RATE d6 AND PC -------------------------  #################

# I will work with both years together and 1st clutches

chicks.d1.d6_growth.rate_only.once<-droplevels(subset(chicks.d1.d6_growth.rate, 
                                                      chicks.d1.d6_growth.rate$age.class=='(3,9]'))
chicks.d1.d6_growth.rate_only.once$age.class

chicks.d1.d6_growth.rate_only.once$PC1_corrected.year_scale<-scale(chicks.d1.d6_growth.rate_only.once$PC1_corrected.year)
chicks.d1.d6_growth.rate_only.once$PC2_corrected.year_scale<-scale(chicks.d1.d6_growth.rate_only.once$PC2_corrected.year)
chicks.d1.d6_growth.rate_only.once$PC3_corrected.year_scale<-scale(chicks.d1.d6_growth.rate_only.once$PC3_corrected.year)
chicks.d1.d6_growth.rate_only.once$Date.num_scale<-scale(chicks.d1.d6_growth.rate_only.once$Date.num)

# oK. Now I run the model:
growth.rate.pc_d6<-lmer(growth.rate_mass ~ PC1_corrected.year_scale + PC2_corrected.year_scale + 
                          PC3_corrected.year_scale + 
                          Date.num_scale + Clutch.size...each.age_scale + (1|Nest_year.x), 
                        data=chicks.d1.d6_growth.rate_only.once)
summary(growth.rate.pc_d6)


par(mfrow=c(2,2))
# fixed effects
scatter.smooth(fitted(growth.rate.pc_d6), resid(growth.rate.pc_d6));abline(h=0, lty=2)
title("Tukey-Anscombe Plot")

# 2 - QQ of residuals
qqnorm(resid(growth.rate.pc_d6))
qqline(resid(growth.rate.pc_d6))

# 3 - res.vari vs fitted
scatter.smooth(fitted(growth.rate.pc_d6), sqrt(abs(resid(growth.rate.pc_d6))))

# 4 random effects
qqnorm(ranef(growth.rate.pc_d6)$Nest_year.x[,1])
qqline(ranef(growth.rate.pc_d6)$Nest_year.x[,1])


nsim<-10000
bsim.growth.rate.pc_d6<-sim(growth.rate.pc_d6, n.sim=nsim)
apply(bsim.growth.rate.pc_d6@fixef, 2, mean) 
apply(bsim.growth.rate.pc_d6@fixef, 2, quantile, prob=c(0.025, 0.975))

# random factor - 1
round(quantile (apply(bsim.growth.rate.pc_d6@ranef$Nest_year.x[ , , 1],1,var), prob=c(0.025, 0.5, 0.975)),3)#median and 95%CI
round(mean(apply(bsim.growth.rate.pc_d6@ranef$Nest_year.x[ , , 1],1,var)),3) #in case you prefer to extract the mean, and not the median

# residual variance
round(as.vector(quantile(bsim.growth.rate.pc_d6@sigma^2, c(0.025, 0.5, 0.975))),3) #median and 95%CI
round(mean(bsim.growth.rate.pc_d6@sigma^2),3) #mean

### Effect size
# check the order of the variables
apply(bsim.growth.rate.pc_d6@fixef, 2, mean) 

# PC1_corrected.year
PC1_corrected.year_growth.rate.pc_d6 <- bsim.growth.rate.pc_d6@fixef[,2] 

mean_PC1_corrected.year_growth.rate.pc_d6 <- mean(PC1_corrected.year_growth.rate.pc_d6) 
lower_PC1_corrected.year_growth.rate.pc_d6 <- quantile(x =PC1_corrected.year_growth.rate.pc_d6,prob=0.025) 
upper_PC1_corrected.year_growth.rate.pc_d6 <- quantile(x = PC1_corrected.year_growth.rate.pc_d6, prob=0.975) 

fila1_PC1_corrected.year_growth.rate.pc_d6 <- c('PC1_corrected.year',mean_PC1_corrected.year_growth.rate.pc_d6,
                                 lower_PC1_corrected.year_growth.rate.pc_d6,upper_PC1_corrected.year_growth.rate.pc_d6) 


# PC2_corrected.year
PC2_corrected.year_growth.rate.pc_d6 <- bsim.growth.rate.pc_d6@fixef[,3] 

mean_PC2_corrected.year_growth.rate.pc_d6 <- mean(PC2_corrected.year_growth.rate.pc_d6) 
lower_PC2_corrected.year_growth.rate.pc_d6 <- quantile(x =PC2_corrected.year_growth.rate.pc_d6,prob=0.025) 
upper_PC2_corrected.year_growth.rate.pc_d6 <- quantile(x = PC2_corrected.year_growth.rate.pc_d6, prob=0.975) 

fila2_PC2_corrected.year_growth.rate.pc_d6 <- c('PC2_corrected.year',mean_PC2_corrected.year_growth.rate.pc_d6,
                                 lower_PC2_corrected.year_growth.rate.pc_d6,upper_PC2_corrected.year_growth.rate.pc_d6) 

#PC3_corrected.year
PC3_corrected.year_growth.rate.pc_d6 <- bsim.growth.rate.pc_d6@fixef[,4] 

mean_PC3_corrected.year_growth.rate.pc_d6 <- mean(PC3_corrected.year_growth.rate.pc_d6) 
lower_PC3_corrected.year_growth.rate.pc_d6 <- quantile(x =PC3_corrected.year_growth.rate.pc_d6,prob=0.025) 
upper_PC3_corrected.year_growth.rate.pc_d6 <- quantile(x = PC3_corrected.year_growth.rate.pc_d6, prob=0.975) 

fila3_PC3_corrected.year_growth.rate.pc_d6 <- c('PC3_corrected.year',mean_PC3_corrected.year_growth.rate.pc_d6,
                                 lower_PC3_corrected.year_growth.rate.pc_d6,upper_PC3_corrected.year_growth.rate.pc_d6) 


effect.size_mean.pc_growth.rate.pc_d6 <- as.data.frame(rbind(fila1_PC1_corrected.year_growth.rate.pc_d6, fila2_PC2_corrected.year_growth.rate.pc_d6, 
                                                             fila3_PC3_corrected.year_growth.rate.pc_d6))

names(effect.size_mean.pc_growth.rate.pc_d6) <- c('Period', 'mean','lower','upper')

effect.size_mean.pc_growth.rate.pc_d6$mean <- as.character(effect.size_mean.pc_growth.rate.pc_d6$mean) 

effect.size_mean.pc_growth.rate.pc_d6$upper <- as.character(effect.size_mean.pc_growth.rate.pc_d6$upper)

effect.size_mean.pc_growth.rate.pc_d6$lower <- as.character(effect.size_mean.pc_growth.rate.pc_d6$lower)

effect.size_mean.pc_growth.rate.pc_d6$mean <- as.numeric(effect.size_mean.pc_growth.rate.pc_d6$mean)

effect.size_mean.pc_growth.rate.pc_d6$upper <- as.numeric(effect.size_mean.pc_growth.rate.pc_d6$upper)

effect.size_mean.pc_growth.rate.pc_d6$lower <- as.numeric(effect.size_mean.pc_growth.rate.pc_d6$lower)

# diferences$ID <- paste(diferences$relation,diferences$call, sep=' ')


dodge <- position_dodge(width=0.8)

effect.size_mean.pc_growth.rate.pc_d6_plot <- ggplot(data = effect.size_mean.pc_growth.rate.pc_d6, aes(y=Period, x=mean,color=Period,shape=Period)) +   
  geom_vline(xintercept=0,color='grey69',size=1.8,linetype=3)+
  scale_color_manual(values=c('#FF9900', '#3399FF', '#FF6666', '#00CC66'))+
  geom_errorbarh(data = effect.size_mean.pc_growth.rate.pc_d6,aes(xmax=upper, xmin=lower,color=Period),size=2, position=dodge)+
  geom_point(size=5,color='black',position=dodge) + 
  ylab('PCs')+
  xlab('Growth rate d1 - d6')+
  ggtitle('Growth rate d1 - d6') +   
  theme_classic() 



###########################################
####################################################################################################
################################ d1 - d12  ####################################################
######################## EARLY GROWTH #################################

egg.chicks.2015.2016_more.fa_d12$Band.number_nest_year_clutch<-paste(egg.chicks.2015.2016_more.fa_d12$Band.number, 
                                                                     egg.chicks.2015.2016_more.fa_d12$Nest_year_clutch, 
                                                                     sep="_")


# I need to check which individuals where present on both days (d1 and d12)
chicks.d1.d12<-which(egg.chicks.2015.2016_more.fa_d12$Band.number_nest_year_clutch%in%egg.chicks.2015.2016_more.fa_d1$Band.number_nest_year_clutch)

chicks.d1.d12<-egg.chicks.2015.2016_more.fa_d12$Band.number_nest_year_clutch[which(egg.chicks.2015.2016_more.fa_d12$Band.number_nest_year_clutch%in%egg.chicks.2015.2016_more.fa_d1$Band.number_nest_year_clutch)]

chicks.d1.d12_ok<-which(egg.chicks.2015.2016_more.fa$Band.number_nest_year_clutch%in%chicks.d1.d12)

chicks.d1.d12_general<-egg.chicks.2015.2016_more.fa[chicks.d1.d12_ok,]

chicks.d1.d12_general


chicks.d1.d12_only<-droplevels(subset(chicks.d1.d12_general, 
                                      chicks.d1.d12_general$age.class=="(0,3]"|
                                        chicks.d1.d12_general$age.class=="(9,14]"))
head(chicks.d1.d12_only)



# I calculate growth rate
chicks.d1.d12_only$Band.number_nest_year_clutch<-as.factor(chicks.d1.d12_only$Band.number_nest_year_clutch)

ind.dat<-data.frame(Band.number_nest_year_clutch=levels(chicks.d1.d12_only$Band.number_nest_year_clutch))
str(ind.dat)

# Mass
for(i in 1:nrow(ind.dat)){
  index<-chicks.d1.d12_only$Band.number_nest_year_clutch==ind.dat$Band.number_nest_year_clutch[i]
  mass.12<-chicks.d1.d12_only$Mass.y[index&chicks.d1.d12_only$age.class=="(9,14]"]
  d12<-chicks.d1.d12_only$Age.young[index&chicks.d1.d12_only$age.class=="(9,14]"]
  mass.1<-chicks.d1.d12_only$Mass.y[index&chicks.d1.d12_only$age.class=="(0,3]"]
  d1<-chicks.d1.d12_only$Age.young[index&chicks.d1.d12_only$age.class=="(0,3]"]
  day.sustrac<-d12-d1
  ind.dat$growth.rate_mass[i]<-(mass.12-mass.1)/day.sustrac
  print(i)
}

chicks.d1.d12_growth.rate<-merge(chicks.d1.d12_only, ind.dat, by="Band.number_nest_year_clutch")
head(chicks.d1.d12_growth.rate)

chicks.d1.d12_growth.rate$growth.rate_mass
length(chicks.d1.d12_growth.rate$growth.rate_mass)

########### ---------------------- GROWTH RATE d12 AND PC -------------------------  #################

chicks.d1.d12_growth.rate_only.once<-droplevels(subset(chicks.d1.d12_growth.rate, 
                                                       chicks.d1.d12_growth.rate$age.class=='(9,14]'))
chicks.d1.d12_growth.rate_only.once$age.class #good


chicks.d1.d12_growth.rate_only.once$PC1_corrected.year_scale<-scale(chicks.d1.d12_growth.rate_only.once$PC1_corrected.year)
chicks.d1.d12_growth.rate_only.once$PC2_corrected.year_scale<-scale(chicks.d1.d12_growth.rate_only.once$PC2_corrected.year)
chicks.d1.d12_growth.rate_only.once$PC3_corrected.year_scale<-scale(chicks.d1.d12_growth.rate_only.once$PC3_corrected.year)
chicks.d1.d12_growth.rate_only.once$Date.num_scale<-scale(chicks.d1.d12_growth.rate_only.once$Date.num)

#Now I run the model:
growth.rate.pc_d12<-lmer(growth.rate_mass ~ PC1_corrected.year_scale + 
                           PC2_corrected.year_scale + PC3_corrected.year_scale + 
                           Date.num_scale + Clutch.size...each.age_scale + (1|Nest_year.x), 
                         data=chicks.d1.d12_growth.rate_only.once)
summary(growth.rate.pc_d12)


par(mfrow=c(2,2))
# fixed effects
scatter.smooth(fitted(growth.rate.pc_d12), resid(growth.rate.pc_d12));abline(h=0, lty=2)
title("Tukey-Anscombe Plot")

# 2 - QQ of residuals
qqnorm(resid(growth.rate.pc_d12))
qqline(resid(growth.rate.pc_d12))

# 3 - res.vari vs fitted
scatter.smooth(fitted(growth.rate.pc_d12), sqrt(abs(resid(growth.rate.pc_d12))))

# 4 random effects
qqnorm(ranef(growth.rate.pc_d12)$Nest_year.x[,1])
qqline(ranef(growth.rate.pc_d12)$Nest_year.x[,1])


nsim<-10000
bsim.growth.rate.pc_d12<-sim(growth.rate.pc_d12, n.sim=nsim)
apply(bsim.growth.rate.pc_d12@fixef, 2, mean) 
apply(bsim.growth.rate.pc_d12@fixef, 2, quantile, prob=c(0.025, 0.975))

# random factor - 1
round(quantile (apply(bsim.growth.rate.pc_d12@ranef$Nest_year.x[ , , 1],1,var), prob=c(0.025, 0.5, 0.975)),3)#median and 95%CI
round(mean(apply(bsim.growth.rate.pc_d12@ranef$Nest_year.x[ , , 1],1,var)),3) #in case you prefer to extract the mean, and not the median

# residual variance
round(as.vector(quantile(bsim.growth.rate.pc_d12@sigma^2, c(0.025, 0.5, 0.975))),3) #median and 95%CI
round(mean(bsim.growth.rate.pc_d12@sigma^2),3) #mean


### Effect size
# check the order of the variables
apply(bsim.growth.rate.pc_d12@fixef, 2, mean) 

# PC1_corrected.year
PC1_corrected.year_growth.rate.pc_d12 <- bsim.growth.rate.pc_d12@fixef[,2] 

mean_PC1_corrected.year_growth.rate.pc_d12 <- mean(PC1_corrected.year_growth.rate.pc_d12) 
lower_PC1_corrected.year_growth.rate.pc_d12 <- quantile(x =PC1_corrected.year_growth.rate.pc_d12,prob=0.025) 
upper_PC1_corrected.year_growth.rate.pc_d12 <- quantile(x = PC1_corrected.year_growth.rate.pc_d12, prob=0.975) 

fila1_PC1_corrected.year_growth.rate.pc_d12 <- c('PC1_corrected.year',mean_PC1_corrected.year_growth.rate.pc_d12,
                                  lower_PC1_corrected.year_growth.rate.pc_d12,upper_PC1_corrected.year_growth.rate.pc_d12) 

PC2_corrected.year_growth.rate.pc_d12 <- bsim.growth.rate.pc_d12@fixef[,3] 

mean_PC2_corrected.year_growth.rate.pc_d12 <- mean(PC2_corrected.year_growth.rate.pc_d12) 
lower_PC2_corrected.year_growth.rate.pc_d12 <- quantile(x =PC2_corrected.year_growth.rate.pc_d12,prob=0.025) 
upper_PC2_corrected.year_growth.rate.pc_d12 <- quantile(x = PC2_corrected.year_growth.rate.pc_d12, prob=0.975) 

fila2_PC2_corrected.year_growth.rate.pc_d12 <- c('PC2_corrected.year',mean_PC2_corrected.year_growth.rate.pc_d12,
                                  lower_PC2_corrected.year_growth.rate.pc_d12,upper_PC2_corrected.year_growth.rate.pc_d12) 


# PC3_corrected.year
PC3_corrected.year_growth.rate.pc_d12 <- bsim.growth.rate.pc_d12@fixef[,4] 

mean_PC3_corrected.year_growth.rate.pc_d12 <- mean(PC3_corrected.year_growth.rate.pc_d12) 
lower_PC3_corrected.year_growth.rate.pc_d12 <- quantile(x =PC3_corrected.year_growth.rate.pc_d12,prob=0.025) 
upper_PC3_corrected.year_growth.rate.pc_d12 <- quantile(x = PC3_corrected.year_growth.rate.pc_d12, prob=0.975) 

fila3_PC3_corrected.year_growth.rate.pc_d12 <- c('PC3_corrected.year',mean_PC3_corrected.year_growth.rate.pc_d12,
                                  lower_PC3_corrected.year_growth.rate.pc_d12,upper_PC3_corrected.year_growth.rate.pc_d12) 


effect.size_mean.pc_growth.rate.pc_d12 <- as.data.frame(rbind(fila1_PC1_corrected.year_growth.rate.pc_d12, fila2_PC2_corrected.year_growth.rate.pc_d12, 
                                                              fila3_PC3_corrected.year_growth.rate.pc_d12))

names(effect.size_mean.pc_growth.rate.pc_d12) <- c('Period', 'mean','lower','upper')

effect.size_mean.pc_growth.rate.pc_d12$mean <- as.character(effect.size_mean.pc_growth.rate.pc_d12$mean) 

effect.size_mean.pc_growth.rate.pc_d12$upper <- as.character(effect.size_mean.pc_growth.rate.pc_d12$upper)

effect.size_mean.pc_growth.rate.pc_d12$lower <- as.character(effect.size_mean.pc_growth.rate.pc_d12$lower)

effect.size_mean.pc_growth.rate.pc_d12$mean <- as.numeric(effect.size_mean.pc_growth.rate.pc_d12$mean)

effect.size_mean.pc_growth.rate.pc_d12$upper <- as.numeric(effect.size_mean.pc_growth.rate.pc_d12$upper)

effect.size_mean.pc_growth.rate.pc_d12$lower <- as.numeric(effect.size_mean.pc_growth.rate.pc_d12$lower)

# diferences$ID <- paste(diferences$relation,diferences$call, sep=' ')


dodge <- position_dodge(width=0.8)

effect.size_mean.pc_growth.rate.pc_d12_plot <- ggplot(data = effect.size_mean.pc_growth.rate.pc_d12, aes(y=Period, x=mean,color=Period,shape=Period)) +   
  geom_vline(xintercept=0,color='grey69',size=1.8,linetype=3)+
  scale_color_manual(values=c('#FF9900', '#3399FF', '#FF6666', '#00CC66'))+
  geom_errorbarh(data = effect.size_mean.pc_growth.rate.pc_d12,aes(xmax=upper, xmin=lower,color=Period),size=2, position=dodge)+
  geom_point(size=5,color='black',position=dodge) + 
  ylab('PCs')+
  xlab('Growth rate d1 - d12')+
  ggtitle('Growth rate d1 - d12') +   
  theme_classic() 


